package a.a.a.a.a;

import a.a.a.a.c.c;
import a.a.a.a.e.b;
import a.a.a.a.e.f;
import android.annotation.SuppressLint;
import android.app.ActivityManager;
import android.app.Application;
import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Process;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.Display;
import android.view.WindowManager;
import cn.net.shoot.sharetracesdk.AppData;
import cn.net.shoot.sharetracesdk.exception.SignatureNotFoundException;
import com.facebook.stetho.common.Utf8Charset;
import com.facebook.stetho.server.http.HttpHeaders;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.io.RandomAccessFile;
import java.io.UnsupportedEncodingException;
import java.lang.reflect.Method;
import java.net.HttpURLConnection;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.URL;
import java.nio.BufferUnderflowException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import org.json.JSONException;
import org.json.JSONObject;

public class a {
    public static int a(Context context) {
        Display defaultDisplay = ((WindowManager) context.getSystemService("window")).getDefaultDisplay();
        DisplayMetrics displayMetrics = new DisplayMetrics();
        if (Build.VERSION.SDK_INT >= 17) {
            defaultDisplay.getRealMetrics(displayMetrics);
        } else {
            defaultDisplay.getMetrics(displayMetrics);
        }
        return displayMetrics.widthPixels;
    }

    public static String a(InputStream inputStream) {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream, "utf-8"));
        StringBuilder sb = new StringBuilder();
        while (true) {
            String readLine = bufferedReader.readLine();
            if (readLine != null) {
                sb.append(readLine);
            } else {
                bufferedReader.close();
                return sb.toString();
            }
        }
    }

    public static List<String> a() {
        ArrayList arrayList = new ArrayList();
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            while (networkInterfaces.hasMoreElements()) {
                Enumeration<InetAddress> inetAddresses = networkInterfaces.nextElement().getInetAddresses();
                while (inetAddresses.hasMoreElements()) {
                    InetAddress nextElement = inetAddresses.nextElement();
                    if (!nextElement.isLoopbackAddress() && !nextElement.isLinkLocalAddress()) {
                        String hostAddress = nextElement.getHostAddress();
                        if (!TextUtils.isEmpty(hostAddress)) {
                            arrayList.add(hostAddress);
                        }
                    }
                }
            }
        } catch (SocketException e) {
            Log.e("ShareTrace", e.toString());
        }
        return arrayList;
    }

    public static void a(f fVar, int i, String str) {
        c cVar = new c();
        cVar.f28a = i;
        cVar.b = str;
        fVar.a(cVar);
    }

    public static int b(Context context) {
        Display defaultDisplay = ((WindowManager) context.getSystemService("window")).getDefaultDisplay();
        DisplayMetrics displayMetrics = new DisplayMetrics();
        if (Build.VERSION.SDK_INT >= 17) {
            defaultDisplay.getRealMetrics(displayMetrics);
        } else {
            defaultDisplay.getMetrics(displayMetrics);
        }
        return displayMetrics.heightPixels;
    }

    public static AppData b(String str) {
        AppData appData = new AppData();
        if (TextUtils.isEmpty(str)) {
            return appData;
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            if (jSONObject.has("params_data") && !jSONObject.isNull("params_data")) {
                appData.setParamsData(jSONObject.getString("params_data"));
            }
            if (jSONObject.has("channel") && !jSONObject.isNull("channel")) {
                appData.setChannel(jSONObject.getString("channel"));
            }
        } catch (Exception e) {
            Log.e("ShareTrace", "parse app data error. err=" + e.getMessage());
        }
        return appData;
    }

    public static String c() {
        return Build.VERSION.RELEASE;
    }

    public static boolean c(Context context) {
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses;
        int myPid = Process.myPid();
        ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
        if (activityManager == null || (runningAppProcesses = activityManager.getRunningAppProcesses()) == null) {
            return false;
        }
        for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
            if (runningAppProcessInfo.pid == myPid && runningAppProcessInfo.processName.equals(context.getPackageName())) {
                return true;
            }
        }
        return false;
    }

    public static String d() {
        return Build.MODEL;
    }

    public static String e() {
        return Build.BRAND;
    }

    @SuppressLint({"HardwareIds"})
    public static String f() {
        if (Build.VERSION.SDK_INT >= 29) {
            return "";
        }
        try {
            return Build.SERIAL;
        } catch (Exception unused) {
            return "";
        }
    }

    public static int g() {
        Application application = a.a.a.a.f.a.a().b;
        String packageName = application.getPackageName();
        PackageInfo packageInfo = null;
        if (!TextUtils.isEmpty(packageName)) {
            try {
                packageInfo = application.getPackageManager().getPackageInfo(packageName, 0);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        if (packageInfo != null) {
            return packageInfo.versionCode;
        }
        return 0;
    }

    public static c a(String str) {
        c cVar = new c();
        JSONObject jSONObject = new JSONObject(str);
        cVar.f28a = jSONObject.getInt("status");
        cVar.b = jSONObject.getString("error");
        AppData appData = new AppData();
        if (!jSONObject.has("data") || jSONObject.isNull("data") || !(jSONObject.get("data") instanceof JSONObject)) {
            return cVar;
        }
        JSONObject jSONObject2 = jSONObject.getJSONObject("data");
        if (jSONObject2.has("params_data") && !jSONObject2.isNull("params_data")) {
            appData.setParamsData(jSONObject2.getString("params_data"));
        }
        if (jSONObject2.has("channel") && !jSONObject2.isNull("channel")) {
            appData.setChannel(jSONObject2.getString("channel"));
        }
        if (jSONObject2.has("trace_id") && !jSONObject2.isNull("trace_id")) {
            cVar.c = jSONObject2.getString("trace_id");
        }
        cVar.d = appData;
        return cVar;
    }

    public static b<ByteBuffer, Long> a(FileChannel fileChannel) {
        long size = fileChannel.size();
        if (size >= 22) {
            long j = size - 22;
            long min = Math.min(j, 65535L);
            int i = 0;
            while (true) {
                long j2 = (long) i;
                if (j2 <= min) {
                    long j3 = j - j2;
                    ByteBuffer allocate = ByteBuffer.allocate(4);
                    fileChannel.position(j3);
                    fileChannel.read(allocate);
                    allocate.order(ByteOrder.LITTLE_ENDIAN);
                    if (allocate.getInt(0) == 101010256) {
                        ByteBuffer allocate2 = ByteBuffer.allocate(2);
                        fileChannel.position(j3 + 20);
                        fileChannel.read(allocate2);
                        allocate2.order(ByteOrder.LITTLE_ENDIAN);
                        short s = allocate2.getShort(0);
                        if (s == i) {
                            ByteBuffer allocate3 = ByteBuffer.allocate(4);
                            allocate3.order(ByteOrder.LITTLE_ENDIAN);
                            fileChannel.position((fileChannel.size() - ((long) s)) - 6);
                            fileChannel.read(allocate3);
                            long j4 = (long) allocate3.getInt(0);
                            if (j4 >= 32) {
                                fileChannel.position(j4 - 24);
                                ByteBuffer allocate4 = ByteBuffer.allocate(24);
                                fileChannel.read(allocate4);
                                allocate4.order(ByteOrder.LITTLE_ENDIAN);
                                if (allocate4.getLong(8) == 2334950737559900225L && allocate4.getLong(16) == 3617552046287187010L) {
                                    long j5 = allocate4.getLong(0);
                                    if (j5 < ((long) allocate4.capacity()) || j5 > 2147483639) {
                                        throw new SignatureNotFoundException("APK Signing Block size out of range: " + j5);
                                    }
                                    int i2 = (int) (8 + j5);
                                    long j6 = j4 - ((long) i2);
                                    if (j6 >= 0) {
                                        fileChannel.position(j6);
                                        ByteBuffer allocate5 = ByteBuffer.allocate(i2);
                                        fileChannel.read(allocate5);
                                        allocate5.order(ByteOrder.LITTLE_ENDIAN);
                                        long j7 = allocate5.getLong(0);
                                        if (j7 == j5) {
                                            return new b<>(allocate5, Long.valueOf(j6));
                                        }
                                        throw new SignatureNotFoundException("APK Signing Block sizes in header and footer do not match: " + j7 + " vs " + j5);
                                    }
                                    throw new SignatureNotFoundException("APK Signing Block offset out of range: " + j6);
                                }
                                throw new SignatureNotFoundException("No APK Signing Block before ZIP Central Directory");
                            }
                            throw new SignatureNotFoundException("APK too small for APK Signing Block. ZIP Central Directory offset: " + j4);
                        }
                    }
                    i++;
                } else {
                    throw new IOException("ZIP End of Central Directory (EOCD) record not found");
                }
            }
        } else {
            throw new IOException("APK too small for ZIP End of Central Directory (EOCD) record");
        }
    }

    /* JADX INFO: finally extract failed */
    public static Map<Integer, ByteBuffer> a(ByteBuffer byteBuffer) {
        if (byteBuffer.order() == ByteOrder.LITTLE_ENDIAN) {
            int capacity = byteBuffer.capacity() - 24;
            if (capacity >= 8) {
                int capacity2 = byteBuffer.capacity();
                if (capacity <= byteBuffer.capacity()) {
                    int limit = byteBuffer.limit();
                    int position = byteBuffer.position();
                    int i = 0;
                    try {
                        byteBuffer.position(0);
                        byteBuffer.limit(capacity);
                        byteBuffer.position(8);
                        ByteBuffer slice = byteBuffer.slice();
                        slice.order(byteBuffer.order());
                        byteBuffer.position(0);
                        byteBuffer.limit(limit);
                        byteBuffer.position(position);
                        LinkedHashMap linkedHashMap = new LinkedHashMap();
                        while (slice.hasRemaining()) {
                            i++;
                            if (slice.remaining() >= 8) {
                                long j = slice.getLong();
                                if (j < 4 || j > 2147483647L) {
                                    throw new SignatureNotFoundException("APK Signing Block entry #" + i + " size out of range: " + j);
                                }
                                int i2 = (int) j;
                                int position2 = slice.position() + i2;
                                if (i2 <= slice.remaining()) {
                                    Integer valueOf = Integer.valueOf(slice.getInt());
                                    int i3 = i2 - 4;
                                    if (i3 >= 0) {
                                        int limit2 = slice.limit();
                                        int position3 = slice.position();
                                        int i4 = i3 + position3;
                                        if (i4 < position3 || i4 > limit2) {
                                            throw new BufferUnderflowException();
                                        }
                                        slice.limit(i4);
                                        try {
                                            ByteBuffer slice2 = slice.slice();
                                            slice2.order(slice.order());
                                            slice.position(i4);
                                            slice.limit(limit2);
                                            linkedHashMap.put(valueOf, slice2);
                                            slice.position(position2);
                                        } catch (Throwable th) {
                                            slice.limit(limit2);
                                            throw th;
                                        }
                                    } else {
                                        throw new IllegalArgumentException("size: " + i3);
                                    }
                                } else {
                                    throw new SignatureNotFoundException("APK Signing Block entry #" + i + " size out of range: " + i2 + ", available: " + slice.remaining());
                                }
                            } else {
                                throw new SignatureNotFoundException("Insufficient data to read size of APK Signing Block entry #" + i);
                            }
                        }
                        return linkedHashMap;
                    } catch (Throwable th2) {
                        byteBuffer.position(0);
                        byteBuffer.limit(limit);
                        byteBuffer.position(position);
                        throw th2;
                    }
                } else {
                    throw new IllegalArgumentException("end > capacity: " + capacity + " > " + capacity2);
                }
            } else {
                throw new IllegalArgumentException("end < start: " + capacity + " < " + 8);
            }
        } else {
            throw new IllegalArgumentException("ByteBuffer byte order must be little endian");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0013  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x004b A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x004c  */
    public static String a(Context context, String str) {
        String str2;
        HashMap hashMap;
        try {
            ApplicationInfo applicationInfo = context.getApplicationInfo();
            if (applicationInfo == null) {
                str2 = null;
                if (!TextUtils.isEmpty(str2)) {
                    try {
                        String a2 = a(new File(str2));
                        if (a2 != null) {
                            JSONObject jSONObject = new JSONObject(a2);
                            Iterator<String> keys = jSONObject.keys();
                            hashMap = new HashMap();
                            while (keys.hasNext()) {
                                String obj = keys.next().toString();
                                hashMap.put(obj, jSONObject.getString(obj));
                            }
                            if (hashMap == null) {
                                return null;
                            }
                            return (String) hashMap.get(str);
                        }
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                }
                hashMap = null;
                if (hashMap == null) {
                }
            } else {
                str2 = applicationInfo.sourceDir;
                if (!TextUtils.isEmpty(str2)) {
                }
                hashMap = null;
                if (hashMap == null) {
                }
            }
        } catch (Throwable unused) {
        }
    }

    public static String c(String str) {
        return a.a.a.a.f.a.a().b.getSharedPreferences("pref_share_trace", 0).getString(str, "");
    }

    public static String b() {
        return Settings.Secure.getString(a.a.a.a.f.a.a().b.getContentResolver(), "android_id");
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|34|35|(1:43)(1:42)|(1:52)(4:45|46|47|51)|(1:(0))) */
    /* JADX WARNING: Can't wrap try/catch for region: R(5:9|(2:17|18)|(2:21|22)|23|24) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x0033 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:34:0x0040 */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0029 A[SYNTHETIC, Splitter:B:17:0x0029] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0030 A[SYNTHETIC, Splitter:B:21:0x0030] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0038 A[SYNTHETIC, Splitter:B:29:0x0038] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:36:? A[ExcHandler: SignatureNotFoundException (unused cn.net.shoot.sharetracesdk.exception.SignatureNotFoundException), SYNTHETIC, Splitter:B:34:0x0040] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x004a  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0074 A[SYNTHETIC, Splitter:B:45:0x0074] */
    /* JADX WARNING: Removed duplicated region for block: B:52:? A[RETURN, SYNTHETIC] */
    public static String a(File file) {
        Map<Integer, ByteBuffer> map;
        byte[] bArr;
        ByteBuffer byteBuffer;
        RandomAccessFile randomAccessFile;
        FileChannel fileChannel;
        Throwable th;
        try {
            randomAccessFile = new RandomAccessFile(file, "r");
            try {
                fileChannel = randomAccessFile.getChannel();
                try {
                    map = a((ByteBuffer) a(fileChannel).f23a);
                    fileChannel.close();
                } catch (IOException unused) {
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException unused2) {
                        }
                    }
                    if (randomAccessFile != null) {
                        map = null;
                        randomAccessFile.close();
                        if (map == null) {
                            byte[] array = byteBuffer.array();
                            int arrayOffset = byteBuffer.arrayOffset();
                            bArr = Arrays.copyOfRange(array, byteBuffer.position() + arrayOffset, arrayOffset + byteBuffer.limit());
                            if (bArr != null) {
                            }
                        }
                        bArr = null;
                        if (bArr != null) {
                        }
                    }
                    map = null;
                    if (map == null) {
                    }
                    bArr = null;
                    if (bArr != null) {
                    }
                } catch (Throwable th2) {
                    th = th2;
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException unused3) {
                        }
                    }
                    if (randomAccessFile != null) {
                        randomAccessFile.close();
                    }
                    throw th;
                }
            } catch (IOException unused4) {
                fileChannel = null;
                if (fileChannel != null) {
                }
                if (randomAccessFile != null) {
                }
                map = null;
                if (map == null) {
                }
                bArr = null;
                if (bArr != null) {
                }
            } catch (Throwable th3) {
                th = th3;
                fileChannel = null;
                if (fileChannel != null) {
                }
                if (randomAccessFile != null) {
                }
                throw th;
            }
        } catch (IOException unused5) {
            fileChannel = null;
            randomAccessFile = null;
            if (fileChannel != null) {
            }
            if (randomAccessFile != null) {
            }
            map = null;
            if (map == null) {
            }
            bArr = null;
            if (bArr != null) {
            }
        } catch (Throwable th4) {
            th = th4;
            fileChannel = null;
            randomAccessFile = null;
            if (fileChannel != null) {
            }
            if (randomAccessFile != null) {
            }
            throw th;
        }
        randomAccessFile.close();
        if (map == null || (byteBuffer = map.get(1903654775)) == null) {
            bArr = null;
        } else {
            byte[] array2 = byteBuffer.array();
            int arrayOffset2 = byteBuffer.arrayOffset();
            bArr = Arrays.copyOfRange(array2, byteBuffer.position() + arrayOffset2, arrayOffset2 + byteBuffer.limit());
        }
        if (bArr != null) {
            return null;
        }
        try {
            return new String(bArr, Utf8Charset.NAME);
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String a(Map<String, String> map) {
        if (map == null || map.size() == 0) {
            return "{}";
        }
        try {
            JSONObject jSONObject = new JSONObject();
            for (Map.Entry<String, String> entry : map.entrySet()) {
                if (!TextUtils.isEmpty(entry.getValue())) {
                    jSONObject.put(entry.getKey(), entry.getValue());
                }
            }
            return jSONObject.toString();
        } catch (Exception e) {
            Log.e("ShareTrace", "format params error. err=" + e.getMessage());
            return "{}";
        }
    }

    public static void a(String str, Map<String, String> map, f fVar, String str2) {
        try {
            fVar.a(a(map, (HttpURLConnection) new URL(str).openConnection(), str2));
        } catch (Exception e) {
            Log.e("ShareTrace", "http post error. error msg=" + e.getMessage());
            a(fVar, -101, e.getMessage());
        }
    }

    public static void a(String str, String str2) {
        a.a.a.a.f.a.a().b.getSharedPreferences("pref_share_trace", 0).edit().putString(str, str2).apply();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:28:0x00f5, code lost:
        if (r5 == null) goto L_0x00fa;
     */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0111 A[SYNTHETIC, Splitter:B:33:0x0111] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0118  */
    public static c a(Map<String, String> map, HttpURLConnection httpURLConnection, String str) {
        Throwable th;
        Exception e;
        c cVar;
        InputStream inputStream;
        c cVar2 = new c();
        map.put("rt", String.valueOf(System.currentTimeMillis()));
        map.put("net", str);
        InputStream inputStream2 = null;
        try {
            httpURLConnection.setDoInput(true);
            httpURLConnection.setDoOutput(true);
            httpURLConnection.setUseCaches(false);
            httpURLConnection.setRequestMethod("POST");
            httpURLConnection.setConnectTimeout(a.a.a.a.f.a.a().g);
            httpURLConnection.setReadTimeout(a.a.a.a.f.a.a().f);
            httpURLConnection.setChunkedStreamingMode(0);
            httpURLConnection.setRequestProperty(HttpHeaders.CONTENT_TYPE, "application/json");
            httpURLConnection.connect();
            String str2 = "request url : " + httpURLConnection.getURL().toString();
            String a2 = a(map);
            if (!TextUtils.isEmpty(a2)) {
                PrintWriter printWriter = new PrintWriter(httpURLConnection.getOutputStream());
                printWriter.print(a2);
                printWriter.close();
            }
            int responseCode = httpURLConnection.getResponseCode();
            String str3 = "get code from response. code is " + responseCode;
            if (responseCode == 200) {
                inputStream = httpURLConnection.getInputStream();
                try {
                    String a3 = a(inputStream);
                    String str4 = "Response Data is " + a3;
                    cVar = a(a3);
                } catch (Exception e2) {
                    inputStream2 = inputStream;
                    e = e2;
                } catch (Throwable th2) {
                    inputStream2 = inputStream;
                    th = th2;
                    if (inputStream2 != null) {
                    }
                    if (httpURLConnection != null) {
                    }
                    throw th;
                }
            } else {
                cVar2.f28a = responseCode;
                cVar2.b = "response data error.";
                cVar = cVar2;
                inputStream = null;
            }
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException unused) {
                }
            }
            cVar2 = cVar;
        } catch (Exception e3) {
            e = e3;
            try {
                e.printStackTrace();
                cVar2.f28a = -101;
                cVar2.b = e.getMessage();
                Log.e("ShareTrace", "http post error. error msg=" + e.getMessage());
                if (inputStream2 != null) {
                    try {
                        inputStream2.close();
                    } catch (IOException unused2) {
                    }
                }
            } catch (Throwable th3) {
                th = th3;
                if (inputStream2 != null) {
                    try {
                        inputStream2.close();
                    } catch (IOException unused3) {
                    }
                }
                if (httpURLConnection != null) {
                    httpURLConnection.disconnect();
                }
                throw th;
            }
        }
        httpURLConnection.disconnect();
        String str5 = "http post result:" + cVar2.toString();
        return cVar2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00c9, code lost:
        if (r2 == false) goto L_0x00cc;
     */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x003b A[Catch:{ Exception -> 0x0057 }] */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x005e  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0065  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x005b A[EDGE_INSN: B:81:0x005b->B:20:0x005b ?: BREAK  , SYNTHETIC] */
    public static void a(String str, Map<String, String> map, f fVar) {
        boolean z;
        String str2;
        int i;
        boolean z2;
        NetworkInfo networkInfo;
        String str3;
        if (fVar != null) {
            boolean z3 = true;
            boolean z4 = !TextUtils.isEmpty(map.get("ti"));
            Application application = a.a.a.a.f.a.a().b;
            if (z4) {
                str3 = "tid";
            } else if (Build.VERSION.SDK_INT < 21) {
                str3 = "api21";
            } else {
                try {
                    Iterator it = Collections.list(NetworkInterface.getNetworkInterfaces()).iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            String name = ((NetworkInterface) it.next()).getName();
                            if (name.equals("tun0") || name.equals("ppp0")) {
                                z = true;
                            }
                            if (!it.hasNext()) {
                                break;
                            }
                        }
                    }
                    z = true;
                } catch (Exception e) {
                    e.printStackTrace();
                }
                if (!z) {
                    a(str, map, fVar, "vn");
                    return;
                }
                boolean isAvailable = (application == null || (networkInfo = ((ConnectivityManager) application.getSystemService("connectivity")).getNetworkInfo(1)) == null) ? false : networkInfo.isAvailable();
                if (((TelephonyManager) application.getSystemService("phone")).getSimState() == 5) {
                    if (Build.VERSION.SDK_INT < 26) {
                        try {
                            ConnectivityManager connectivityManager = (ConnectivityManager) application.getSystemService("connectivity");
                            Method declaredMethod = ConnectivityManager.class.getDeclaredMethod("getMobileDataEnabled", new Class[0]);
                            declaredMethod.setAccessible(true);
                            z2 = ((Boolean) declaredMethod.invoke(connectivityManager, new Object[0])).booleanValue();
                        } catch (Exception e2) {
                            e2.printStackTrace();
                            z2 = false;
                        }
                    } else {
                        z2 = ((TelephonyManager) application.getSystemService("phone")).isDataEnabled();
                    }
                }
                z3 = false;
                if (isAvailable && z3) {
                    CountDownLatch countDownLatch = new CountDownLatch(2);
                    ExecutorService newCachedThreadPool = Executors.newCachedThreadPool();
                    ArrayList arrayList = new ArrayList();
                    AtomicBoolean atomicBoolean = new AtomicBoolean(false);
                    try {
                        a.a.a.a.e.a aVar = new a.a.a.a.e.a(atomicBoolean, fVar, arrayList, countDownLatch);
                        newCachedThreadPool.execute(new b(str, map, aVar));
                        newCachedThreadPool.execute(new a.a.a.a.e.c(str, map, aVar));
                        countDownLatch.await((long) a.a.a.a.f.a.a().f, TimeUnit.MILLISECONDS);
                        newCachedThreadPool.shutdown();
                        if (!atomicBoolean.get()) {
                            if (arrayList.size() == 0) {
                                a(fVar, -105, "request timeout");
                                return;
                            }
                            c cVar = null;
                            Iterator it2 = arrayList.iterator();
                            while (it2.hasNext()) {
                                c cVar2 = (c) it2.next();
                                if (cVar2.f28a == 200) {
                                    if (!TextUtils.isEmpty(cVar2.c)) {
                                        String str4 = "get params success : " + cVar2.toString();
                                        fVar.a(cVar2);
                                        return;
                                    }
                                    cVar = cVar2;
                                }
                            }
                            if (cVar != null) {
                                String str5 = "params is empty : " + cVar.toString();
                                fVar.a(cVar);
                                return;
                            }
                            fVar.a((c) arrayList.get(0));
                            return;
                        }
                        return;
                    } catch (InterruptedException unused) {
                        i = -104;
                        str2 = "latch error.";
                    }
                } else if (isAvailable || z3) {
                    a(str, map, fVar, isAvailable ? "wf" : "cl");
                    return;
                } else {
                    i = -106;
                    str2 = "Network unavailable.";
                }
                a(fVar, i, str2);
                return;
            }
            a(str, map, fVar, str3);
            return;
        }
        throw new RuntimeException("request callback must not NULL.");
        z = false;
        if (!z) {
        }
    }
}
