package cn.jiguang.plugins.push.helper;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import cn.jiguang.plugins.push.JPushModule;
import cn.jiguang.plugins.push.common.JLogger;
import cn.jpush.android.api.CustomMessage;
import cn.jpush.android.api.JPushMessage;
import cn.jpush.android.api.NotificationMessage;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableArray;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import java.util.Iterator;
import java.util.Set;
import org.json.JSONObject;

public class JPushHelper {
    public static void a(String str, WritableMap writableMap) {
        try {
            ((DeviceEventManagerModule.RCTDeviceEventEmitter) JPushModule.reactContext.a(DeviceEventManagerModule.RCTDeviceEventEmitter.class)).emit(str, writableMap);
        } catch (Throwable th) {
            JLogger.c("sendEvent error:" + th.getMessage());
        }
    }

    public static WritableMap a(String str, NotificationMessage notificationMessage) {
        WritableMap b = Arguments.b();
        b.putString("notificationEventType", str);
        b.putString("messageID", notificationMessage.b);
        b.putString("title", notificationMessage.e);
        b.putString("content", notificationMessage.c);
        b(notificationMessage.h, b);
        return b;
    }

    public static WritableMap a(String str, Bundle bundle) {
        WritableMap b = Arguments.b();
        b.putString("notificationEventType", str);
        b.putString("messageID", bundle.getString("cn.jpush.android.MSG_ID", ""));
        b.putString("title", bundle.getString("cn.jpush.android.NOTIFICATION_CONTENT_TITLE", ""));
        b.putString("content", bundle.getString("cn.jpush.android.ALERT", ""));
        b(bundle.getString("cn.jpush.android.EXTRA", ""), b);
        return b;
    }

    public static WritableMap a(CustomMessage customMessage) {
        WritableMap b = Arguments.b();
        b.putString("messageID", customMessage.f994a);
        b.putString("title", customMessage.e);
        b.putString("content", customMessage.c);
        b(customMessage.b, b);
        return b;
    }

    public static WritableMap a(int i, JPushMessage jPushMessage) {
        WritableMap b = Arguments.b();
        b.putInt("code", jPushMessage.c());
        b.putInt("sequence", jPushMessage.d());
        switch (i) {
            case 1:
                Set<String> b2 = jPushMessage.b();
                WritableArray a2 = Arguments.a();
                if (b2 == null || b2.isEmpty()) {
                    JLogger.a("tags is empty");
                } else {
                    for (String str : b2) {
                        a2.pushString(str);
                    }
                }
                b.a("tags", a2);
                break;
            case 2:
                b.putBoolean("tagEnable", jPushMessage.f());
                b.putString("tag", jPushMessage.e());
                break;
            case 3:
                b.putString("alias", jPushMessage.a());
                break;
        }
        return b;
    }

    public static void b(String str, WritableMap writableMap) {
        if (!TextUtils.isEmpty(str) && !str.equals("{}")) {
            try {
                WritableMap b = Arguments.b();
                JSONObject jSONObject = new JSONObject(str);
                Iterator<String> keys = jSONObject.keys();
                while (keys.hasNext()) {
                    String next = keys.next();
                    b.putString(next, jSONObject.getString(next));
                }
                writableMap.a("extras", b);
            } catch (Throwable th) {
                JLogger.b("convertExtras error:" + th.getMessage());
            }
        }
    }

    public static void a(Context context) {
        try {
            Intent launchIntentForPackage = context.getPackageManager().getLaunchIntentForPackage(context.getPackageName());
            launchIntentForPackage.setFlags(872415232);
            context.startActivity(launchIntentForPackage);
        } catch (Throwable unused) {
            JLogger.c("");
        }
    }
}
