package com.alibaba.sdk.android.oss.internal;

import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.callback.OSSCompletedCallback;
import com.alibaba.sdk.android.oss.model.AbortMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.AbortMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.CompleteMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.InitiateMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.InitiateMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.MultipartUploadRequest;
import java.io.IOException;
import java.util.concurrent.Callable;

public class MultipartUploadTask extends BaseMultipartUploadTask<MultipartUploadRequest, CompleteMultipartUploadResult> implements Callable<CompleteMultipartUploadResult> {
    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void b() throws ClientException, ServiceException {
        this.o = this.j.a(new InitiateMultipartUploadRequest(this.u.a(), this.u.b(), this.u.d()), (OSSCompletedCallback<InitiateMultipartUploadRequest, InitiateMultipartUploadResult>) null).a().a();
        this.u.d(this.o);
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public CompleteMultipartUploadResult c() throws IOException, ServiceException, ClientException, InterruptedException {
        d();
        int i = this.x[0];
        final int i2 = this.x[1];
        final int i3 = i;
        int i4 = 0;
        for (final int i5 = 0; i5 < i2; i5++) {
            i();
            if (this.g != null) {
                if (i5 == i2 - 1) {
                    i3 = (int) (this.p - ((long) i4));
                }
                i4 += i3;
                this.g.execute(new Runnable() {
                    /* class com.alibaba.sdk.android.oss.internal.MultipartUploadTask.AnonymousClass1 */

                    public void run() {
                        MultipartUploadTask.this.b(i5, i3, i2);
                    }
                });
            }
        }
        if (a(i2)) {
            synchronized (this.i) {
                this.i.wait();
            }
        }
        if (this.l != null) {
            a();
        }
        i();
        CompleteMultipartUploadResult g = g();
        h();
        return g;
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a() {
        if (this.o != null) {
            this.j.a(new AbortMultipartUploadRequest(this.u.a(), this.u.b(), this.o), (OSSCompletedCallback<AbortMultipartUploadRequest, AbortMultipartUploadResult>) null).b();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a(Exception exc) {
        synchronized (this.i) {
            this.q++;
            if (this.l == null) {
                this.l = exc;
                this.i.notify();
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a(int i, int i2, int i3) throws Exception {
        i();
    }
}
