package com.facebook.imagepipeline.memory;

import com.facebook.common.references.OOMSoftReference;
import java.util.LinkedList;
import javax.annotation.concurrent.NotThreadSafe;

@NotThreadSafe
class OOMSoftReferenceBucket<V> extends Bucket<V> {
    private LinkedList<OOMSoftReference<V>> d = new LinkedList<>();

    public OOMSoftReferenceBucket(int i, int i2, int i3) {
        super(i, i2, i3);
    }

    @Override // com.facebook.imagepipeline.memory.Bucket
    public V d() {
        OOMSoftReference<V> oOMSoftReference = (OOMSoftReference) this.c.poll();
        V a2 = oOMSoftReference.a();
        oOMSoftReference.b();
        this.d.add(oOMSoftReference);
        return a2;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.imagepipeline.memory.Bucket
    public void b(V v) {
        OOMSoftReference<V> poll = this.d.poll();
        if (poll == null) {
            poll = new OOMSoftReference<>();
        }
        poll.a(v);
        this.c.add(poll);
    }
}
