package com.facebook.react.animated;

import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;

/* access modifiers changed from: package-private */
public class FrameBasedAnimationDriver extends AnimationDriver {
    private long e;
    private double[] f;
    private double g;
    private double h;
    private int i;
    private int j;

    FrameBasedAnimationDriver(ReadableMap readableMap) {
        a(readableMap);
    }

    @Override // com.facebook.react.animated.AnimationDriver
    public void a(ReadableMap readableMap) {
        ReadableArray k = readableMap.k("frames");
        int a2 = k.a();
        if (this.f == null || this.f.length != a2) {
            this.f = new double[a2];
        }
        for (int i2 = 0; i2 < a2; i2++) {
            this.f[i2] = k.b(i2);
        }
        this.g = readableMap.d("toValue");
        boolean z = true;
        this.i = readableMap.a("iterations") ? readableMap.e("iterations") : 1;
        this.j = 1;
        if (this.i != 0) {
            z = false;
        }
        this.f1832a = z;
        this.e = -1;
    }

    @Override // com.facebook.react.animated.AnimationDriver
    public void a(long j2) {
        double d;
        if (this.e < 0) {
            this.e = j2;
            if (this.j == 1) {
                this.h = this.b.e;
            }
        }
        int round = (int) Math.round(((double) ((j2 - this.e) / 1000000)) / 16.666666666666668d);
        if (round < 0) {
            throw new IllegalStateException("Calculated frame index should never be lower than 0");
        } else if (!this.f1832a) {
            if (round >= this.f.length - 1) {
                d = this.g;
                if (this.i == -1 || this.j < this.i) {
                    this.e = -1;
                    this.j++;
                } else {
                    this.f1832a = true;
                }
            } else {
                d = (this.f[round] * (this.g - this.h)) + this.h;
            }
            this.b.e = d;
        }
    }
}
