package com.facebook.react.animated;

import com.facebook.react.bridge.JSApplicationCausedNativeException;
import com.facebook.react.bridge.ReadableMap;

/* access modifiers changed from: package-private */
public class ModulusAnimatedNode extends ValueAnimatedNode {
    private final NativeAnimatedNodesManager g;
    private final int h;
    private final double i;

    public ModulusAnimatedNode(ReadableMap readableMap, NativeAnimatedNodesManager nativeAnimatedNodesManager) {
        this.g = nativeAnimatedNodesManager;
        this.h = readableMap.e("input");
        this.i = readableMap.d("modulus");
    }

    @Override // com.facebook.react.animated.AnimatedNode
    public void a() {
        AnimatedNode a2 = this.g.a(this.h);
        if (a2 == null || !(a2 instanceof ValueAnimatedNode)) {
            throw new JSApplicationCausedNativeException("Illegal node ID set as an input for Animated.modulus node");
        }
        this.e = ((ValueAnimatedNode) a2).b() % this.i;
    }
}
