package com.facebook.react.animation;

import android.view.View;

public class PositionAnimationPairPropertyUpdater extends AbstractFloatPairPropertyUpdater {
    /* access modifiers changed from: protected */
    @Override // com.facebook.react.animation.AbstractFloatPairPropertyUpdater
    public void a(View view, float[] fArr) {
        fArr[0] = view.getX() + (((float) view.getWidth()) * 0.5f);
        fArr[1] = view.getY() + (((float) view.getHeight()) * 0.5f);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.animation.AbstractFloatPairPropertyUpdater
    public void b(View view, float[] fArr) {
        view.setX(fArr[0] - (((float) view.getWidth()) * 0.5f));
        view.setY(fArr[1] - (((float) view.getHeight()) * 0.5f));
    }
}
