package com.facebook.react.bridge;

import javax.annotation.Nullable;

public class SoftAssertions {
    public static void a(String str) {
        throw new AssertionException(str);
    }

    public static void a(boolean z, String str) {
        if (!z) {
            throw new AssertionException(str);
        }
    }

    public static <T> T a(@Nullable T t) {
        if (t != null) {
            return t;
        }
        throw new AssertionException("Expected object to not be null!");
    }
}
