package com.facebook.react.flat;

import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.DashPathEffect;
import android.graphics.Paint;
import android.graphics.Path;
import com.tencent.smtt.sdk.WebView;
import javax.annotation.Nullable;

final class DrawBorder extends AbstractDrawBorder {
    private static final Paint c = new Paint(1);
    private static final float[] d = new float[4];
    private float e;
    private float f;
    private float g;
    private float h;
    private int i;
    private int j;
    private int k;
    private int l;
    private int m = 0;
    private int n;
    @Nullable
    private DashPathEffect o;
    @Nullable
    private Path p;

    private static float a(float f2, float f3) {
        return (f2 == 0.0f || f2 != f2) ? f3 : f2;
    }

    private static int a(float f2, float f3, float f4, float f5, int i2, int i3, int i4, int i5) {
        int i6 = -1;
        int i7 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
        int i8 = (f3 > 0.0f ? 1 : (f3 == 0.0f ? 0 : -1));
        int i9 = (f4 > 0.0f ? 1 : (f4 == 0.0f ? 0 : -1));
        int i10 = (i7 > 0 ? i2 : -1) & (i8 > 0 ? i3 : -1) & (i9 > 0 ? i4 : -1);
        int i11 = (f5 > 0.0f ? 1 : (f5 == 0.0f ? 0 : -1));
        if (i11 > 0) {
            i6 = i5;
        }
        int i12 = i6 & i10;
        if (i7 <= 0) {
            i2 = 0;
        }
        if (i8 <= 0) {
            i3 = 0;
        }
        int i13 = i2 | i3;
        if (i9 <= 0) {
            i4 = 0;
        }
        int i14 = i13 | i4;
        if (i11 <= 0) {
            i5 = 0;
        }
        if (i12 == (i14 | i5)) {
            return i12;
        }
        return 0;
    }

    DrawBorder() {
    }

    public void a(int i2, float f2) {
        if (i2 != 8) {
            switch (i2) {
                case 0:
                    this.e = f2;
                    return;
                case 1:
                    this.f = f2;
                    return;
                case 2:
                    this.g = f2;
                    return;
                case 3:
                    this.h = f2;
                    return;
                default:
                    return;
            }
        } else {
            a(f2);
        }
    }

    public void a(@Nullable String str) {
        if ("dotted".equals(str)) {
            this.m = 1;
        } else if ("dashed".equals(str)) {
            this.m = 2;
        } else {
            this.m = 0;
        }
        c(32);
    }

    public void e(int i2) {
        if (i2 != 8) {
            switch (i2) {
                case 0:
                    d(2);
                    return;
                case 1:
                    d(4);
                    return;
                case 2:
                    d(8);
                    return;
                case 3:
                    d(16);
                    return;
                default:
                    return;
            }
        } else {
            a(WebView.NIGHT_MODE_COLOR);
        }
    }

    public void a(int i2, int i3) {
        if (i2 != 8) {
            switch (i2) {
                case 0:
                    this.i = i3;
                    c(2);
                    return;
                case 1:
                    this.j = i3;
                    c(4);
                    return;
                case 2:
                    this.k = i3;
                    c(8);
                    return;
                case 3:
                    this.l = i3;
                    c(16);
                    return;
                default:
                    return;
            }
        } else {
            a(i3);
        }
    }

    public void f(int i2) {
        this.n = i2;
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void c(Canvas canvas) {
        if (b() >= 0.5f || e() != null) {
            d(canvas);
        } else {
            e(canvas);
        }
    }

    /* access modifiers changed from: protected */
    @Nullable
    /* renamed from: u */
    public DashPathEffect e() {
        if (b(32)) {
            switch (this.m) {
                case 1:
                    this.o = c(a());
                    break;
                case 2:
                    this.o = c(a() * 3.0f);
                    break;
                default:
                    this.o = null;
                    break;
            }
            d(32);
        }
        return this.o;
    }

    private void d(Canvas canvas) {
        if (this.n != 0) {
            c.setColor(this.n);
            canvas.drawPath(f(), c);
        }
        a(canvas);
    }

    private void e(Canvas canvas) {
        int i2;
        int i3;
        int i4;
        int c2 = c();
        float a2 = a();
        float q = q();
        float a3 = a(this.f, a2);
        float f2 = q + a3;
        int a4 = a(4, this.j, c2);
        float s = s();
        float a5 = a(this.h, a2);
        float f3 = s - a5;
        int a6 = a(16, this.l, c2);
        float p2 = p();
        float a7 = a(this.e, a2);
        float f4 = p2 + a7;
        int a8 = a(2, this.i, c2);
        float r = r();
        float a9 = a(this.g, a2);
        float f5 = r - a9;
        int a10 = a(8, this.k, c2);
        int a11 = a(a7, a3, a9, a5, a8, a4, a10, a6);
        if (a11 == 0) {
            if (this.p == null) {
                this.p = new Path();
            }
            if (Color.alpha(this.n) != 0) {
                c.setColor(this.n);
                canvas.drawRect(p2, q, r, s, c);
            }
            if (a3 == 0.0f || Color.alpha(a4) == 0) {
                i4 = a10;
                i3 = a8;
                i2 = a6;
            } else {
                c.setColor(a4);
                i4 = a10;
                i3 = a8;
                i2 = a6;
                a(this.p, q, f2, p2, f4, r, f5);
                canvas.drawPath(this.p, c);
            }
            if (!(a5 == 0.0f || Color.alpha(i2) == 0)) {
                c.setColor(i2);
                b(this.p, s, f3, p2, f4, r, f5);
                canvas.drawPath(this.p, c);
            }
            if (!(a7 == 0.0f || Color.alpha(i3) == 0)) {
                c.setColor(i3);
                c(this.p, q, f2, s, f3, p2, f4);
                canvas.drawPath(this.p, c);
            }
            if (a9 != 0.0f && Color.alpha(i4) != 0) {
                c.setColor(i4);
                d(this.p, q, f2, s, f3, r, f5);
                canvas.drawPath(this.p, c);
            }
        } else if (Color.alpha(a11) != 0) {
            if (Color.alpha(this.n) != 0) {
                c.setColor(this.n);
                if (Color.alpha(a11) == 255) {
                    canvas.drawRect(f4, f2, f5, f3, c);
                } else {
                    canvas.drawRect(p2, q, r, s, c);
                }
            }
            c.setColor(a11);
            if (a7 > 0.0f) {
                canvas.drawRect(p2, q, f4, f3, c);
            }
            if (a3 > 0.0f) {
                canvas.drawRect(f4, q, r, f2, c);
            }
            if (a9 > 0.0f) {
                canvas.drawRect(f5, f2, r, s, c);
            }
            if (a5 > 0.0f) {
                canvas.drawRect(p2, f3, f5, s, c);
            }
        }
    }

    private static void a(Path path, float f2, float f3, float f4, float f5, float f6, float f7) {
        path.reset();
        path.moveTo(f4, f2);
        path.lineTo(f5, f3);
        path.lineTo(f7, f3);
        path.lineTo(f6, f2);
        path.lineTo(f4, f2);
    }

    private static void b(Path path, float f2, float f3, float f4, float f5, float f6, float f7) {
        path.reset();
        path.moveTo(f4, f2);
        path.lineTo(f6, f2);
        path.lineTo(f7, f3);
        path.lineTo(f5, f3);
        path.lineTo(f4, f2);
    }

    private static void c(Path path, float f2, float f3, float f4, float f5, float f6, float f7) {
        path.reset();
        path.moveTo(f6, f2);
        path.lineTo(f7, f3);
        path.lineTo(f7, f5);
        path.lineTo(f6, f4);
        path.lineTo(f6, f2);
    }

    private static void d(Path path, float f2, float f3, float f4, float f5, float f6, float f7) {
        path.reset();
        path.moveTo(f6, f2);
        path.lineTo(f6, f4);
        path.lineTo(f7, f5);
        path.lineTo(f7, f3);
        path.lineTo(f6, f2);
    }

    private int a(int i2, int i3, int i4) {
        return b(i2) ? i3 : i4;
    }

    private static DashPathEffect c(float f2) {
        for (int i2 = 0; i2 < 4; i2++) {
            d[i2] = f2;
        }
        return new DashPathEffect(d, 0.0f);
    }
}
