package com.facebook.react.flat;

import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.RectF;
import javax.annotation.Nullable;

final class DrawView extends AbstractDrawCommand {
    public static final DrawView[] c = new DrawView[0];
    final int d;
    boolean e;
    float f;
    float g;
    float h;
    float i;
    private final RectF j = new RectF();
    private float k;
    @Nullable
    private Path l;

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void c(Canvas canvas) {
    }

    public DrawView(int i2) {
        this.d = i2;
    }

    public DrawView a(float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9, float f10, float f11, float f12, float f13, float f14) {
        boolean z;
        if (!n()) {
            c(f2, f3, f4, f5);
            b(f10, f11, f12, f13);
            a(f14);
            f(f6, f7, f8, f9);
            o();
            return this;
        }
        boolean d2 = d(f2, f3, f4, f5);
        boolean a2 = a(f10, f11, f12, f13);
        boolean z2 = this.k == f14;
        boolean e2 = e(f6, f7, f8, f9);
        if (d2 && a2 && z2 && e2) {
            return this;
        }
        DrawView drawView = (DrawView) m();
        if (!d2) {
            z = d2;
            drawView.c(f2, f3, f4, f5);
        } else {
            z = d2;
        }
        if (!a2) {
            drawView.b(f10, f11, f12, f13);
        }
        if (!e2) {
            drawView.f(f6, f7, f8, f9);
        }
        if (!z2 || !z) {
            drawView.a(f14);
        }
        drawView.e = false;
        drawView.o();
        return drawView;
    }

    private boolean e(float f2, float f3, float f4, float f5) {
        return f2 == this.f && f3 == this.g && f4 == this.h && f5 == this.i;
    }

    private void f(float f2, float f3, float f4, float f5) {
        this.f = f2;
        this.g = f3;
        this.h = f4;
        this.i = f5;
    }

    @Override // com.facebook.react.flat.DrawCommand, com.facebook.react.flat.AbstractDrawCommand
    public void a(FlatViewGroup flatViewGroup, Canvas canvas) {
        d(flatViewGroup, canvas);
        if (this.a_ || this.k > 0.5f) {
            canvas.save(2);
            b(canvas);
            flatViewGroup.b(canvas);
            canvas.restore();
            return;
        }
        flatViewGroup.b(canvas);
    }

    /* access modifiers changed from: package-private */
    public void a(float f2) {
        this.k = f2;
        if (f2 > 0.5f) {
            a();
        } else {
            this.l = null;
        }
    }

    private void a() {
        this.l = new Path();
        this.j.set(p(), q(), r(), s());
        this.l.addRoundRect(this.j, this.k, this.k, Path.Direction.CW);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void b(Canvas canvas) {
        if (this.k > 0.5f) {
            canvas.clipPath(this.l);
        } else {
            super.b(canvas);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void c(FlatViewGroup flatViewGroup, Canvas canvas) {
        flatViewGroup.a(canvas);
    }
}
