package com.facebook.react.modules.dialog;

import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import com.facebook.react.modules.dialog.DialogModule;
import javax.annotation.Nullable;

public class SupportAlertFragment extends DialogFragment implements DialogInterface.OnClickListener {
    @Nullable
    private final DialogModule.AlertFragmentListener aj;

    public SupportAlertFragment() {
        this.aj = null;
    }

    public SupportAlertFragment(@Nullable DialogModule.AlertFragmentListener alertFragmentListener, Bundle bundle) {
        this.aj = alertFragmentListener;
        g(bundle);
    }

    @Override // android.support.v4.app.DialogFragment
    public Dialog c(Bundle bundle) {
        return AlertFragment.a(m(), k(), this);
    }

    public void onClick(DialogInterface dialogInterface, int i) {
        if (this.aj != null) {
            this.aj.onClick(dialogInterface, i);
        }
    }

    @Override // android.support.v4.app.DialogFragment
    public void onDismiss(DialogInterface dialogInterface) {
        super.onDismiss(dialogInterface);
        if (this.aj != null) {
            this.aj.onDismiss(dialogInterface);
        }
    }
}
