package com.facebook.react.modules.network;

import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableArray;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import java.io.IOException;
import java.net.SocketTimeoutException;

public class ResponseUtil {
    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, long j, long j2) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushInt((int) j);
        a2.pushInt((int) j2);
        rCTDeviceEventEmitter.emit("didSendNetworkData", a2);
    }

    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, String str, long j, long j2) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushString(str);
        a2.pushInt((int) j);
        a2.pushInt((int) j2);
        rCTDeviceEventEmitter.emit("didReceiveNetworkIncrementalData", a2);
    }

    public static void b(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, long j, long j2) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushInt((int) j);
        a2.pushInt((int) j2);
        rCTDeviceEventEmitter.emit("didReceiveNetworkDataProgress", a2);
    }

    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, String str) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushString(str);
        rCTDeviceEventEmitter.emit("didReceiveNetworkData", a2);
    }

    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, WritableMap writableMap) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.a(writableMap);
        rCTDeviceEventEmitter.emit("didReceiveNetworkData", a2);
    }

    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, String str, IOException iOException) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushString(str);
        if (iOException != null && iOException.getClass() == SocketTimeoutException.class) {
            a2.pushBoolean(true);
        }
        rCTDeviceEventEmitter.emit("didCompleteNetworkResponse", a2);
    }

    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushNull();
        rCTDeviceEventEmitter.emit("didCompleteNetworkResponse", a2);
    }

    public static void a(DeviceEventManagerModule.RCTDeviceEventEmitter rCTDeviceEventEmitter, int i, int i2, WritableMap writableMap, String str) {
        WritableArray a2 = Arguments.a();
        a2.pushInt(i);
        a2.pushInt(i2);
        a2.a(writableMap);
        a2.pushString(str);
        rCTDeviceEventEmitter.emit("didReceiveNetworkResponse", a2);
    }
}
