package com.facebook.react.modules.timepicker;

import android.app.Dialog;
import android.app.TimePickerDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import javax.annotation.Nullable;

public class SupportTimePickerDialogFragment extends DialogFragment {
    @Nullable
    private TimePickerDialog.OnTimeSetListener aj;
    @Nullable
    private DialogInterface.OnDismissListener ak;

    @Override // android.support.v4.app.DialogFragment
    public Dialog c(Bundle bundle) {
        return TimePickerDialogFragment.a(k(), m(), this.aj);
    }

    @Override // android.support.v4.app.DialogFragment
    public void onDismiss(DialogInterface dialogInterface) {
        super.onDismiss(dialogInterface);
        if (this.ak != null) {
            this.ak.onDismiss(dialogInterface);
        }
    }

    public void a(@Nullable DialogInterface.OnDismissListener onDismissListener) {
        this.ak = onDismissListener;
    }

    public void a(@Nullable TimePickerDialog.OnTimeSetListener onTimeSetListener) {
        this.aj = onTimeSetListener;
    }
}
