package com.facebook.react.uimanager.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import javax.annotation.Nullable;

@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ReactProp {
    String a();

    @Nullable
    String b() default "__default_type__";

    double c() default 0.0d;

    float d() default 0.0f;

    int e() default 0;

    boolean f() default false;
}
