package com.facebook.react.uimanager.layoutanimation;

/* access modifiers changed from: package-private */
public enum InterpolatorType {
    LINEAR("linear"),
    EASE_IN("easeIn"),
    EASE_OUT("easeOut"),
    EASE_IN_EASE_OUT("easeInEaseOut"),
    SPRING("spring");
    
    private final String f;

    private InterpolatorType(String str) {
        this.f = str;
    }

    public static InterpolatorType a(String str) {
        InterpolatorType[] values = values();
        for (InterpolatorType interpolatorType : values) {
            if (interpolatorType.toString().equalsIgnoreCase(str)) {
                return interpolatorType;
            }
        }
        throw new IllegalArgumentException("Unsupported interpolation type : " + str);
    }

    public String toString() {
        return this.f;
    }
}
