package com.mb.rn.sharetrace;

import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.mb.rn.activity.MainApplication;

public class ShareTraceManager extends ReactContextBaseJavaModule {
    public MainApplication application;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "ShareTraceManager";
    }

    public ShareTraceManager(ReactApplicationContext reactApplicationContext, MainApplication mainApplication) {
        super(reactApplicationContext);
        this.application = mainApplication;
    }

    @ReactMethod
    public void getShareTraceParams(Callback callback) {
        callback.a(this.application.mShareTraceJson);
    }
}
