package com.sh.sdk.shareinstall.business.c;

import android.app.AppOpsManager;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.os.Build;
import android.support.v4.app.NotificationCompat;
import android.support.v4.app.NotificationManagerCompat;
import android.text.TextUtils;

/* compiled from: NotificationUtil */
public class j {
    public static boolean a(Context context, String str) {
        if (Build.VERSION.SDK_INT >= 26) {
            if (b(context)) {
                return b(context, str);
            }
            return false;
        } else if (Build.VERSION.SDK_INT >= 24) {
            return b(context);
        } else {
            if (Build.VERSION.SDK_INT >= 19) {
                return a(context);
            }
            return false;
        }
    }

    public static boolean a(Context context) {
        if (Build.VERSION.SDK_INT < 19) {
            return false;
        }
        AppOpsManager appOpsManager = (AppOpsManager) context.getSystemService("appops");
        ApplicationInfo applicationInfo = context.getApplicationInfo();
        String packageName = context.getApplicationContext().getPackageName();
        int i = applicationInfo.uid;
        try {
            Class<?> cls = Class.forName(AppOpsManager.class.getName());
            if (((Integer) cls.getMethod("checkOpNoThrow", Integer.TYPE, Integer.TYPE, String.class).invoke(appOpsManager, Integer.valueOf(((Integer) cls.getDeclaredField("OP_POST_NOTIFICATION").get(Integer.class)).intValue()), Integer.valueOf(i), packageName)).intValue() == 0) {
                return true;
            }
            return false;
        } catch (Exception e) {
            n.a(e.getMessage());
            return false;
        }
    }

    public static boolean b(Context context) {
        NotificationManagerCompat a2;
        if (Build.VERSION.SDK_INT < 24 || (a2 = NotificationManagerCompat.a(context)) == null) {
            return false;
        }
        return a2.a();
    }

    public static boolean b(Context context, String str) {
        NotificationChannel notificationChannel;
        if (Build.VERSION.SDK_INT < 26 || TextUtils.isEmpty(str) || (notificationChannel = ((NotificationManager) context.getSystemService("notification")).getNotificationChannel(str)) == null || notificationChannel.getImportance() == 0 || notificationChannel.getImportance() == -1000) {
            return false;
        }
        return true;
    }

    public static NotificationCompat.Builder a(Context context, NotificationManager notificationManager) {
        return b(context, notificationManager);
    }

    public static NotificationCompat.Builder b(Context context, NotificationManager notificationManager) {
        if (q.a(context) || q.a(notificationManager)) {
            return null;
        }
        if (Build.VERSION.SDK_INT < 26) {
            return new NotificationCompat.Builder(context);
        }
        if (!a()) {
            return new NotificationCompat.Builder(context);
        }
        try {
            return c(context, notificationManager);
        } catch (Throwable th) {
            n.a(th.getMessage());
            return new NotificationCompat.Builder(context);
        }
    }

    public static NotificationCompat.Builder c(Context context, NotificationManager notificationManager) {
        if (q.a(context) || q.a(notificationManager)) {
            return null;
        }
        if (Build.VERSION.SDK_INT < 26) {
            return new NotificationCompat.Builder(context);
        }
        if (!a()) {
            return new NotificationCompat.Builder(context);
        }
        try {
            NotificationChannel notificationChannel = new NotificationChannel("notify", "未分类", 4);
            notificationChannel.enableLights(true);
            notificationChannel.setLightColor(-65536);
            notificationChannel.enableVibration(true);
            notificationChannel.setVibrationPattern(new long[]{100, 200, 300, 400, 500, 400, 300, 200, 400});
            notificationChannel.setShowBadge(false);
            notificationManager.createNotificationChannel(notificationChannel);
            return new NotificationCompat.Builder(context, "notify");
        } catch (Throwable th) {
            n.a(th.getMessage());
            return new NotificationCompat.Builder(context);
        }
    }

    public static boolean a() {
        try {
            return !q.a(Class.forName("android.support.v4.app.NotificationCompat$Builder").getConstructor(Context.class, String.class));
        } catch (Exception e) {
            n.a(e.getMessage());
            return false;
        }
    }
}
