package com.sh.sdk.shareinstall.c.h;

import android.content.Context;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import com.sh.sdk.shareinstall.c.c.l;
import com.sh.sdk.shareinstall.c.d.b;
import com.sh.sdk.shareinstall.c.d.c;

/* compiled from: AbsProtocolManager */
public abstract class a implements b {
    public static boolean a(Context context) {
        if (l.a(context)) {
            return true;
        }
        return l.a(context.getApplicationContext(), "android.permission.READ_PHONE_STATE");
    }

    public static String b(Context context) {
        String a2 = a(context, "sp_si_appqid_timestamp", "");
        String valueOf = String.valueOf(System.currentTimeMillis());
        if (!l.a(a2) || l.a(valueOf) || valueOf.length() < 6) {
            return a2;
        }
        String substring = valueOf.substring(valueOf.length() - 6);
        b(context, "sp_si_appqid_timestamp", substring);
        return substring;
    }

    public static String c(Context context) {
        if (l.a(context) || !a(context)) {
            return "";
        }
        String a2 = a(context, "sp_imei", null);
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        try {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            a2 = l.a(telephonyManager) ? "" : telephonyManager.getDeviceId();
        } catch (Exception unused) {
        }
        if (a(a2)) {
            return a2;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(System.currentTimeMillis());
        stringBuffer.append(((int) (Math.random() * 900.0d)) + 100);
        String stringBuffer2 = stringBuffer.toString();
        b(context, "sp_imei", stringBuffer2);
        return stringBuffer2;
    }

    public static boolean a(String str) {
        if (TextUtils.isEmpty(str) || str.length() < 3) {
            return false;
        }
        int i = 0;
        int i2 = 0;
        while (i < str.length() - 1) {
            char charAt = str.charAt(i);
            i++;
            if (charAt == str.charAt(i)) {
                i2++;
            }
        }
        if (i2 != str.length() - 1) {
            return true;
        }
        return false;
    }

    public static String d(Context context) {
        if (l.a(context) || !a(context)) {
            return "";
        }
        String a2 = a(context, "sp_si_true_imei", "");
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        try {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            String deviceId = l.a(telephonyManager) ? "" : telephonyManager.getDeviceId();
            if (a(deviceId)) {
                b(context, "sp_si_true_imei", deviceId);
            }
            return TextUtils.isEmpty(deviceId) ? "" : deviceId;
        } catch (Exception unused) {
            if (a(a2)) {
                b(context, "sp_si_true_imei", a2);
            }
            return TextUtils.isEmpty(a2) ? "" : a2;
        } catch (Throwable unused2) {
            if (a(a2)) {
                b(context, "sp_si_true_imei", a2);
            }
            return TextUtils.isEmpty(a2) ? "" : a2;
        }
    }

    public static String e(Context context) {
        String a2 = a(context, "sp_si_local_imei", "");
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(System.currentTimeMillis());
        stringBuffer.append(((int) (Math.random() * 900.0d)) + 100);
        String stringBuffer2 = stringBuffer.toString();
        b(context, "sp_si_local_imei", stringBuffer2);
        return stringBuffer2;
    }

    private static String a(Context context, String str, String str2) {
        b b = c.a().b();
        if (l.a(b)) {
            return str2;
        }
        return b.d(context, "shareinstall", str, str2);
    }

    private static void b(Context context, String str, String str2) {
        b b = c.a().b();
        if (!l.a(b)) {
            b.c(context, "shareinstall", str, str2);
        }
    }
}
