package io.openinstall.sdk;

import com.tencent.smtt.export.external.interfaces.ISelectionInterface;
import com.tencent.smtt.sdk.TbsListener;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.util.Arrays;

public class aq {
    private static int a(FileChannel fileChannel, long j, ByteBuffer byteBuffer) throws IOException {
        int read;
        int i = 0;
        while (byteBuffer.hasRemaining() && (read = fileChannel.read(byteBuffer, j)) != -1) {
            j += (long) read;
            i += read;
        }
        return i;
    }

    private static int a(FileChannel fileChannel, long j, byte[] bArr, int i, int i2) throws IOException {
        ByteBuffer wrap = ByteBuffer.wrap(bArr, i, i2);
        int i3 = 0;
        while (i3 < i2) {
            int read = fileChannel.read(wrap, ((long) i3) + j);
            if (read == -1) {
                break;
            }
            i3 += read;
        }
        return i3;
    }

    public static ap a(FileChannel fileChannel) throws IOException {
        au b = b(fileChannel);
        if (b == null) {
            return null;
        }
        if (b.f < 32) {
            return new ap(b);
        }
        byte[] bArr = new byte[24];
        a(fileChannel, b.f - ((long) bArr.length), bArr, 0, bArr.length);
        long c = ar.c(bArr, bArr.length - 24, ByteOrder.LITTLE_ENDIAN);
        long c2 = ar.c(bArr, bArr.length - 16, ByteOrder.LITTLE_ENDIAN);
        long c3 = ar.c(bArr, bArr.length - 8, ByteOrder.LITTLE_ENDIAN);
        if (c2 != 2334950737559900225L || c3 != 3617552046287187010L) {
            return new ap(b);
        }
        int i = (int) (8 + c);
        long j = (long) i;
        long j2 = b.f - j;
        if (i < 32 || j2 < 0) {
            return new ap(b);
        }
        if (j > 20971520) {
            return new ap(b);
        }
        ByteBuffer allocate = ByteBuffer.allocate(i - 24);
        allocate.order(ByteOrder.LITTLE_ENDIAN);
        if (a(fileChannel, j2, allocate) != allocate.capacity() || ((ByteBuffer) allocate.flip()).getLong() != c) {
            return new ap(b);
        }
        at atVar = new at(j2);
        while (allocate.remaining() >= 12) {
            long j3 = allocate.getLong();
            int i2 = allocate.getInt();
            int i3 = (int) (j3 - 4);
            if (i3 < 0 || i3 > allocate.remaining()) {
                break;
            }
            byte[] bArr2 = new byte[i3];
            allocate.get(bArr2, 0, bArr2.length);
            atVar.a(i2, bArr2);
        }
        return new ap(atVar, b);
    }

    private static void a(FileChannel fileChannel, FileChannel fileChannel2, long j, long j2) throws IOException {
        while (j2 > 0) {
            long transferTo = fileChannel.transferTo(j, j2, fileChannel2);
            j += transferTo;
            j2 -= transferTo;
        }
    }

    public static void a(byte[] bArr, File file, File file2) throws IOException {
        FileInputStream fileInputStream = new FileInputStream(file);
        FileOutputStream fileOutputStream = new FileOutputStream(file2);
        try {
            FileChannel channel = fileInputStream.getChannel();
            FileChannel channel2 = fileOutputStream.getChannel();
            ap a2 = a(channel);
            channel.position(0L);
            if (a2 == null) {
                a(channel, channel2, 0, channel.size());
                return;
            }
            a2.a(bArr);
            at b = a2.b();
            au a3 = a2.a();
            if (b != null) {
                a(channel, channel2, 0, b.b());
                ByteBuffer[] e = b.e();
                for (ByteBuffer byteBuffer : e) {
                    while (byteBuffer.hasRemaining()) {
                        channel2.write(byteBuffer);
                    }
                }
                a(channel, channel2, a3.f, a3.h - a3.f);
            } else {
                a(channel, channel2, 0, a3.h);
            }
            ByteBuffer a4 = a3.a(b != null ? b.a() : a3.f);
            while (a4.hasRemaining()) {
                channel2.write(a4);
            }
            fileInputStream.close();
            fileOutputStream.close();
        } finally {
            fileInputStream.close();
            fileOutputStream.close();
        }
    }

    private static au b(FileChannel fileChannel) throws IOException {
        int i;
        byte[] bArr = new byte[TbsListener.ErrorCode.DOWNLOAD_INTERRUPT];
        long size = fileChannel.size();
        if (size < 22) {
            return null;
        }
        long j = 0;
        long max = Math.max(0L, (size > 65557 ? size - 65557 : 0) - ((long) (bArr.length - 22)));
        long length = size - ((long) bArr.length);
        while (length >= max) {
            int i2 = (length > j ? 1 : (length == j ? 0 : -1));
            if (i2 < 0) {
                int i3 = (int) (-length);
                Arrays.fill(bArr, 0, i3, (byte) 0);
                i = i3;
            } else {
                i = 0;
            }
            a(fileChannel, i2 < 0 ? j : length, bArr, i, bArr.length - i);
            for (int length2 = bArr.length - 22; length2 >= 0; length2--) {
                if (bArr[length2 + 0] == 80 && bArr[length2 + 1] == 75 && bArr[length2 + 2] == 5 && bArr[length2 + 3] == 6) {
                    int b = ar.b(bArr, length2 + 20, ByteOrder.LITTLE_ENDIAN) & ISelectionInterface.HELD_NOTHING;
                    long j2 = length + ((long) length2);
                    if (j2 + 22 + ((long) b) == size) {
                        au auVar = new au();
                        auVar.h = j2;
                        auVar.f3232a = ar.b(bArr, length2 + 4, ByteOrder.LITTLE_ENDIAN) & ISelectionInterface.HELD_NOTHING;
                        auVar.b = ar.b(bArr, length2 + 6, ByteOrder.LITTLE_ENDIAN) & ISelectionInterface.HELD_NOTHING;
                        auVar.c = ar.b(bArr, length2 + 8, ByteOrder.LITTLE_ENDIAN) & ISelectionInterface.HELD_NOTHING;
                        auVar.d = 65535 & ar.b(bArr, length2 + 10, ByteOrder.LITTLE_ENDIAN);
                        auVar.e = ((long) ar.a(bArr, length2 + 12, ByteOrder.LITTLE_ENDIAN)) & 4294967295L;
                        auVar.f = ((long) ar.a(bArr, length2 + 16, ByteOrder.LITTLE_ENDIAN)) & 4294967295L;
                        if (b > 0) {
                            auVar.g = new byte[b];
                            a(fileChannel, auVar.h + 22, auVar.g, 0, b);
                        }
                        return auVar;
                    }
                }
            }
            length -= (long) (bArr.length - 22);
            j = 0;
        }
        return null;
    }
}
