package net.minidev.json;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import net.minidev.json.reader.JsonWriter;

public class JSONObject extends HashMap<String, Object> implements JSONAware, JSONAwareEx, JSONStreamAwareEx {
    private static final long serialVersionUID = -503443796854799292L;

    public JSONObject() {
    }

    public static String a(String str) {
        return JSONValue.a(str);
    }

    public static String a(Map<String, ? extends Object> map, JSONStyle jSONStyle) {
        StringBuilder sb = new StringBuilder();
        try {
            a(map, sb, jSONStyle);
        } catch (IOException unused) {
        }
        return sb.toString();
    }

    public static void a(String str, Object obj, Appendable appendable, JSONStyle jSONStyle) throws IOException {
        if (str == null) {
            appendable.append("null");
        } else if (!jSONStyle.a(str)) {
            appendable.append(str);
        } else {
            appendable.append('\"');
            JSONValue.a(str, appendable, jSONStyle);
            appendable.append('\"');
        }
        appendable.append(':');
        if (obj instanceof String) {
            jSONStyle.a(appendable, (String) obj);
        } else {
            JSONValue.a(obj, appendable, jSONStyle);
        }
    }

    public JSONObject(Map<String, ?> map) {
        super(map);
    }

    public static void a(Map<String, ? extends Object> map, Appendable appendable, JSONStyle jSONStyle) throws IOException {
        if (map == null) {
            appendable.append("null");
        } else {
            JsonWriter.g.a(map, appendable, jSONStyle);
        }
    }

    @Override // net.minidev.json.JSONStreamAware
    public void a(Appendable appendable) throws IOException {
        a(this, appendable, JSONValue.f3289a);
    }

    @Override // net.minidev.json.JSONStreamAwareEx
    public void a(Appendable appendable, JSONStyle jSONStyle) throws IOException {
        a(this, appendable, jSONStyle);
    }

    @Override // net.minidev.json.JSONAware
    public String b() {
        return a(this, JSONValue.f3289a);
    }

    @Override // net.minidev.json.JSONAwareEx
    public String a(JSONStyle jSONStyle) {
        return a(this, jSONStyle);
    }

    public String toString() {
        return a(this, JSONValue.f3289a);
    }
}
