package net.minidev.json.writer;

import net.minidev.json.JSONArray;
import net.minidev.json.JSONAwareEx;
import net.minidev.json.JSONObject;

public class DefaultMapper<T> extends JsonReaderI<T> {
    protected DefaultMapper(JsonReader jsonReader) {
        super(jsonReader);
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public JsonReaderI<JSONAwareEx> b(String str) {
        return this.s.f3319a;
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public JsonReaderI<JSONAwareEx> a(String str) {
        return this.s.f3319a;
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public Object b() {
        return new JSONObject();
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public Object a() {
        return new JSONArray();
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public void a(Object obj, String str, Object obj2) {
        ((JSONObject) obj).put(str, obj2);
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public void a(Object obj, Object obj2) {
        ((JSONArray) obj).add(obj2);
    }
}
