package android.support.v4.app;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;

public final class BundleCompat {
    private BundleCompat() {
    }

    public static IBinder a(Bundle bundle, String str) {
        if (Build.VERSION.SDK_INT >= 18) {
            return BundleCompatJellybeanMR2.a(bundle, str);
        }
        return BundleCompatDonut.a(bundle, str);
    }

    public static void a(Bundle bundle, String str, IBinder iBinder) {
        if (Build.VERSION.SDK_INT >= 18) {
            BundleCompatJellybeanMR2.a(bundle, str, iBinder);
        } else {
            BundleCompatDonut.a(bundle, str, iBinder);
        }
    }
}
