package android.support.v4.media.session;

import android.net.Uri;
import android.os.Bundle;
import android.support.v4.media.session.MediaSessionCompatApi23;

class MediaSessionCompatApi24 {

    public interface Callback extends MediaSessionCompatApi23.Callback {
        void b(Uri uri, Bundle bundle);

        void d(String str, Bundle bundle);

        void e(String str, Bundle bundle);

        void h();
    }

    MediaSessionCompatApi24() {
    }

    public static Object a(Callback callback) {
        return new CallbackProxy(callback);
    }

    /* access modifiers changed from: package-private */
    public static class CallbackProxy<T extends Callback> extends MediaSessionCompatApi23.CallbackProxy<T> {
        public CallbackProxy(T t) {
            super(t);
        }

        public void onPrepare() {
            ((Callback) this.f282a).h();
        }

        public void onPrepareFromMediaId(String str, Bundle bundle) {
            ((Callback) this.f282a).d(str, bundle);
        }

        public void onPrepareFromSearch(String str, Bundle bundle) {
            ((Callback) this.f282a).e(str, bundle);
        }

        public void onPrepareFromUri(Uri uri, Bundle bundle) {
            ((Callback) this.f282a).b(uri, bundle);
        }
    }
}
