package android.support.v7.app;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.media.AudioManager;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.annotation.IdRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.NavUtils;
import android.support.v4.os.ParcelableCompat;
import android.support.v4.os.ParcelableCompatCreatorCallbacks;
import android.support.v4.view.LayoutInflaterCompat;
import android.support.v4.view.LayoutInflaterFactory;
import android.support.v4.view.OnApplyWindowInsetsListener;
import android.support.v4.view.ViewCompat;
import android.support.v4.view.ViewConfigurationCompat;
import android.support.v4.view.ViewPropertyAnimatorCompat;
import android.support.v4.view.ViewPropertyAnimatorListener;
import android.support.v4.view.ViewPropertyAnimatorListenerAdapter;
import android.support.v4.view.WindowInsetsCompat;
import android.support.v4.widget.PopupWindowCompat;
import android.support.v7.appcompat.R;
import android.support.v7.view.ActionMode;
import android.support.v7.view.ContextThemeWrapper;
import android.support.v7.view.StandaloneActionMode;
import android.support.v7.view.menu.ListMenuPresenter;
import android.support.v7.view.menu.MenuBuilder;
import android.support.v7.view.menu.MenuPresenter;
import android.support.v7.view.menu.MenuView;
import android.support.v7.widget.ActionBarContextView;
import android.support.v7.widget.AppCompatDrawableManager;
import android.support.v7.widget.ContentFrameLayout;
import android.support.v7.widget.DecorContentParent;
import android.support.v7.widget.FitWindowsViewGroup;
import android.support.v7.widget.Toolbar;
import android.support.v7.widget.VectorEnabledTintResources;
import android.support.v7.widget.ViewStubCompat;
import android.support.v7.widget.ViewUtils;
import android.text.TextUtils;
import android.util.AndroidRuntimeException;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import com.tencent.smtt.sdk.TbsListener;

/* access modifiers changed from: package-private */
public class AppCompatDelegateImplV7 extends AppCompatDelegateImplBase implements LayoutInflaterFactory, MenuBuilder.Callback {
    private boolean A;
    private PanelFeatureState[] B;
    private PanelFeatureState C;
    private boolean D;
    private boolean E;
    private int F;
    private final Runnable G = new Runnable() {
        /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass1 */

        public void run() {
            if ((AppCompatDelegateImplV7.this.F & 1) != 0) {
                AppCompatDelegateImplV7.this.f(0);
            }
            if ((AppCompatDelegateImplV7.this.F & 4096) != 0) {
                AppCompatDelegateImplV7.this.f(108);
            }
            AppCompatDelegateImplV7.this.E = false;
            AppCompatDelegateImplV7.this.F = 0;
        }
    };
    private boolean H;
    private Rect I;
    private Rect J;
    private AppCompatViewInflater K;
    ActionMode m;
    ActionBarContextView n;
    PopupWindow o;
    Runnable p;
    ViewPropertyAnimatorCompat q = null;
    private DecorContentParent r;
    private ActionMenuPresenterCallback s;
    private PanelMenuPresenterCallback t;
    private boolean u;
    private ViewGroup v;
    private TextView w;
    private View x;
    private boolean y;
    private boolean z;

    /* access modifiers changed from: package-private */
    public void a(ViewGroup viewGroup) {
    }

    AppCompatDelegateImplV7(Context context, Window window, AppCompatCallback appCompatCallback) {
        super(context, window, appCompatCallback);
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void a(Bundle bundle) {
        if ((this.c instanceof Activity) && NavUtils.b((Activity) this.c) != null) {
            ActionBar m2 = m();
            if (m2 == null) {
                this.H = true;
            } else {
                m2.c(true);
            }
        }
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void b(Bundle bundle) {
        u();
    }

    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public void l() {
        u();
        if (this.h && this.f == null) {
            if (this.c instanceof Activity) {
                this.f = new WindowDecorActionBar((Activity) this.c, this.i);
            } else if (this.c instanceof Dialog) {
                this.f = new WindowDecorActionBar((Dialog) this.c);
            }
            if (this.f != null) {
                this.f.c(this.H);
            }
        }
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void a(Toolbar toolbar) {
        if (this.c instanceof Activity) {
            ActionBar a2 = a();
            if (!(a2 instanceof WindowDecorActionBar)) {
                this.g = null;
                if (a2 != null) {
                    a2.h();
                }
                if (toolbar != null) {
                    ToolbarActionBar toolbarActionBar = new ToolbarActionBar(toolbar, ((Activity) this.f501a).getTitle(), this.d);
                    this.f = toolbarActionBar;
                    this.b.setCallback(toolbarActionBar.i());
                } else {
                    this.f = null;
                    this.b.setCallback(this.d);
                }
                e();
                return;
            }
            throw new IllegalStateException("This Activity already has an action bar supplied by the window decor. Do not request Window.FEATURE_SUPPORT_ACTION_BAR and set windowActionBar to false in your theme to use a Toolbar instead.");
        }
    }

    @Override // android.support.v7.app.AppCompatDelegate
    @Nullable
    public View a(@IdRes int i) {
        u();
        return this.b.findViewById(i);
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void a(Configuration configuration) {
        ActionBar a2;
        if (this.h && this.u && (a2 = a()) != null) {
            a2.a(configuration);
        }
        i();
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void c() {
        ActionBar a2 = a();
        if (a2 != null) {
            a2.d(false);
        }
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void d() {
        ActionBar a2 = a();
        if (a2 != null) {
            a2.d(true);
        }
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void a(View view) {
        u();
        ViewGroup viewGroup = (ViewGroup) this.v.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view);
        this.c.onContentChanged();
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void b(int i) {
        u();
        ViewGroup viewGroup = (ViewGroup) this.v.findViewById(16908290);
        viewGroup.removeAllViews();
        LayoutInflater.from(this.f501a).inflate(i, viewGroup);
        this.c.onContentChanged();
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void a(View view, ViewGroup.LayoutParams layoutParams) {
        u();
        ViewGroup viewGroup = (ViewGroup) this.v.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view, layoutParams);
        this.c.onContentChanged();
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void b(View view, ViewGroup.LayoutParams layoutParams) {
        u();
        ((ViewGroup) this.v.findViewById(16908290)).addView(view, layoutParams);
        this.c.onContentChanged();
    }

    @Override // android.support.v7.app.AppCompatDelegateImplBase, android.support.v7.app.AppCompatDelegate
    public void f() {
        super.f();
        if (this.f != null) {
            this.f.h();
        }
    }

    private void u() {
        if (!this.u) {
            this.v = v();
            CharSequence r2 = r();
            if (!TextUtils.isEmpty(r2)) {
                b(r2);
            }
            w();
            a(this.v);
            this.u = true;
            PanelFeatureState a2 = a(0, false);
            if (p()) {
                return;
            }
            if (a2 == null || a2.j == null) {
                e(108);
            }
        }
    }

    private ViewGroup v() {
        ViewGroup viewGroup;
        Context context;
        TypedArray obtainStyledAttributes = this.f501a.obtainStyledAttributes(R.styleable.AppCompatTheme);
        if (obtainStyledAttributes.hasValue(R.styleable.AppCompatTheme_windowActionBar)) {
            if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowNoTitle, false)) {
                c(1);
            } else if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowActionBar, false)) {
                c(108);
            }
            if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowActionBarOverlay, false)) {
                c(109);
            }
            if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowActionModeOverlay, false)) {
                c(10);
            }
            this.k = obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_android_windowIsFloating, false);
            obtainStyledAttributes.recycle();
            this.b.getDecorView();
            LayoutInflater from = LayoutInflater.from(this.f501a);
            if (this.l) {
                if (this.j) {
                    viewGroup = (ViewGroup) from.inflate(R.layout.abc_screen_simple_overlay_action_mode, (ViewGroup) null);
                } else {
                    viewGroup = (ViewGroup) from.inflate(R.layout.abc_screen_simple, (ViewGroup) null);
                }
                if (Build.VERSION.SDK_INT >= 21) {
                    ViewCompat.a(viewGroup, new OnApplyWindowInsetsListener() {
                        /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass2 */

                        @Override // android.support.v4.view.OnApplyWindowInsetsListener
                        public WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat) {
                            int b = windowInsetsCompat.b();
                            int g = AppCompatDelegateImplV7.this.g(b);
                            if (b != g) {
                                windowInsetsCompat = windowInsetsCompat.a(windowInsetsCompat.a(), g, windowInsetsCompat.c(), windowInsetsCompat.d());
                            }
                            return ViewCompat.a(view, windowInsetsCompat);
                        }
                    });
                } else {
                    ((FitWindowsViewGroup) viewGroup).setOnFitSystemWindowsListener(new FitWindowsViewGroup.OnFitSystemWindowsListener() {
                        /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass3 */

                        @Override // android.support.v7.widget.FitWindowsViewGroup.OnFitSystemWindowsListener
                        public void a(Rect rect) {
                            rect.top = AppCompatDelegateImplV7.this.g(rect.top);
                        }
                    });
                }
            } else if (this.k) {
                viewGroup = (ViewGroup) from.inflate(R.layout.abc_dialog_title_material, (ViewGroup) null);
                this.i = false;
                this.h = false;
            } else if (this.h) {
                TypedValue typedValue = new TypedValue();
                this.f501a.getTheme().resolveAttribute(R.attr.actionBarTheme, typedValue, true);
                if (typedValue.resourceId != 0) {
                    context = new ContextThemeWrapper(this.f501a, typedValue.resourceId);
                } else {
                    context = this.f501a;
                }
                viewGroup = (ViewGroup) LayoutInflater.from(context).inflate(R.layout.abc_screen_toolbar, (ViewGroup) null);
                this.r = (DecorContentParent) viewGroup.findViewById(R.id.decor_content_parent);
                this.r.setWindowCallback(q());
                if (this.i) {
                    this.r.a(109);
                }
                if (this.y) {
                    this.r.a(2);
                }
                if (this.z) {
                    this.r.a(5);
                }
            } else {
                viewGroup = null;
            }
            if (viewGroup != null) {
                if (this.r == null) {
                    this.w = (TextView) viewGroup.findViewById(R.id.title);
                }
                ViewUtils.b(viewGroup);
                ContentFrameLayout contentFrameLayout = (ContentFrameLayout) viewGroup.findViewById(R.id.action_bar_activity_content);
                ViewGroup viewGroup2 = (ViewGroup) this.b.findViewById(16908290);
                if (viewGroup2 != null) {
                    while (viewGroup2.getChildCount() > 0) {
                        View childAt = viewGroup2.getChildAt(0);
                        viewGroup2.removeViewAt(0);
                        contentFrameLayout.addView(childAt);
                    }
                    viewGroup2.setId(-1);
                    contentFrameLayout.setId(16908290);
                    if (viewGroup2 instanceof FrameLayout) {
                        ((FrameLayout) viewGroup2).setForeground(null);
                    }
                }
                this.b.setContentView(viewGroup);
                contentFrameLayout.setAttachListener(new ContentFrameLayout.OnAttachListener() {
                    /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass4 */

                    @Override // android.support.v7.widget.ContentFrameLayout.OnAttachListener
                    public void a() {
                    }

                    @Override // android.support.v7.widget.ContentFrameLayout.OnAttachListener
                    public void b() {
                        AppCompatDelegateImplV7.this.z();
                    }
                });
                return viewGroup;
            }
            throw new IllegalArgumentException("AppCompat does not support the current theme features: { windowActionBar: " + this.h + ", windowActionBarOverlay: " + this.i + ", android:windowIsFloating: " + this.k + ", windowActionModeOverlay: " + this.j + ", windowNoTitle: " + this.l + " }");
        }
        obtainStyledAttributes.recycle();
        throw new IllegalStateException("You need to use a Theme.AppCompat theme (or descendant) with this activity.");
    }

    private void w() {
        ContentFrameLayout contentFrameLayout = (ContentFrameLayout) this.v.findViewById(16908290);
        View decorView = this.b.getDecorView();
        contentFrameLayout.a(decorView.getPaddingLeft(), decorView.getPaddingTop(), decorView.getPaddingRight(), decorView.getPaddingBottom());
        TypedArray obtainStyledAttributes = this.f501a.obtainStyledAttributes(R.styleable.AppCompatTheme);
        obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowMinWidthMajor, contentFrameLayout.getMinWidthMajor());
        obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowMinWidthMinor, contentFrameLayout.getMinWidthMinor());
        if (obtainStyledAttributes.hasValue(R.styleable.AppCompatTheme_windowFixedWidthMajor)) {
            obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowFixedWidthMajor, contentFrameLayout.getFixedWidthMajor());
        }
        if (obtainStyledAttributes.hasValue(R.styleable.AppCompatTheme_windowFixedWidthMinor)) {
            obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowFixedWidthMinor, contentFrameLayout.getFixedWidthMinor());
        }
        if (obtainStyledAttributes.hasValue(R.styleable.AppCompatTheme_windowFixedHeightMajor)) {
            obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowFixedHeightMajor, contentFrameLayout.getFixedHeightMajor());
        }
        if (obtainStyledAttributes.hasValue(R.styleable.AppCompatTheme_windowFixedHeightMinor)) {
            obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowFixedHeightMinor, contentFrameLayout.getFixedHeightMinor());
        }
        obtainStyledAttributes.recycle();
        contentFrameLayout.requestLayout();
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public boolean c(int i) {
        int h = h(i);
        if (this.l && h == 108) {
            return false;
        }
        if (this.h && h == 1) {
            this.h = false;
        }
        switch (h) {
            case 1:
                y();
                this.l = true;
                return true;
            case 2:
                y();
                this.y = true;
                return true;
            case 5:
                y();
                this.z = true;
                return true;
            case 10:
                y();
                this.j = true;
                return true;
            case 108:
                y();
                this.h = true;
                return true;
            case 109:
                y();
                this.i = true;
                return true;
            default:
                return this.b.requestFeature(h);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public void b(CharSequence charSequence) {
        if (this.r != null) {
            this.r.setWindowTitle(charSequence);
        } else if (m() != null) {
            m().a(charSequence);
        } else if (this.w != null) {
            this.w.setText(charSequence);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public void a(int i, Menu menu) {
        if (i == 108) {
            ActionBar a2 = a();
            if (a2 != null) {
                a2.e(false);
            }
        } else if (i == 0) {
            PanelFeatureState a3 = a(i, true);
            if (a3.o) {
                a(a3, false);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public boolean b(int i, Menu menu) {
        if (i != 108) {
            return false;
        }
        ActionBar a2 = a();
        if (a2 != null) {
            a2.e(true);
        }
        return true;
    }

    @Override // android.support.v7.view.menu.MenuBuilder.Callback
    public boolean a(MenuBuilder menuBuilder, MenuItem menuItem) {
        PanelFeatureState a2;
        Window.Callback q2 = q();
        if (q2 == null || p() || (a2 = a((Menu) menuBuilder.p())) == null) {
            return false;
        }
        return q2.onMenuItemSelected(a2.f515a, menuItem);
    }

    @Override // android.support.v7.view.menu.MenuBuilder.Callback
    public void a(MenuBuilder menuBuilder) {
        a(menuBuilder, true);
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public ActionMode a(@NonNull ActionMode.Callback callback) {
        if (callback != null) {
            if (this.m != null) {
                this.m.c();
            }
            ActionModeCallbackWrapperV7 actionModeCallbackWrapperV7 = new ActionModeCallbackWrapperV7(callback);
            ActionBar a2 = a();
            if (a2 != null) {
                this.m = a2.a(actionModeCallbackWrapperV7);
                if (!(this.m == null || this.e == null)) {
                    this.e.onSupportActionModeStarted(this.m);
                }
            }
            if (this.m == null) {
                this.m = b(actionModeCallbackWrapperV7);
            }
            return this.m;
        }
        throw new IllegalArgumentException("ActionMode callback can not be null.");
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void e() {
        ActionBar a2 = a();
        if (a2 == null || !a2.e()) {
            e(0);
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x002b  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x002f  */
    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public ActionMode b(@NonNull ActionMode.Callback callback) {
        ActionMode actionMode;
        Context context;
        x();
        if (this.m != null) {
            this.m.c();
        }
        if (!(callback instanceof ActionModeCallbackWrapperV7)) {
            callback = new ActionModeCallbackWrapperV7(callback);
        }
        if (this.e != null && !p()) {
            try {
                actionMode = this.e.onWindowStartingSupportActionMode(callback);
            } catch (AbstractMethodError unused) {
            }
            if (actionMode == null) {
                this.m = actionMode;
            } else {
                boolean z2 = true;
                if (this.n == null) {
                    if (this.k) {
                        TypedValue typedValue = new TypedValue();
                        Resources.Theme theme = this.f501a.getTheme();
                        theme.resolveAttribute(R.attr.actionBarTheme, typedValue, true);
                        if (typedValue.resourceId != 0) {
                            Resources.Theme newTheme = this.f501a.getResources().newTheme();
                            newTheme.setTo(theme);
                            newTheme.applyStyle(typedValue.resourceId, true);
                            context = new ContextThemeWrapper(this.f501a, 0);
                            context.getTheme().setTo(newTheme);
                        } else {
                            context = this.f501a;
                        }
                        this.n = new ActionBarContextView(context);
                        this.o = new PopupWindow(context, (AttributeSet) null, R.attr.actionModePopupWindowStyle);
                        PopupWindowCompat.a(this.o, 2);
                        this.o.setContentView(this.n);
                        this.o.setWidth(-1);
                        context.getTheme().resolveAttribute(R.attr.actionBarSize, typedValue, true);
                        this.n.setContentHeight(TypedValue.complexToDimensionPixelSize(typedValue.data, context.getResources().getDisplayMetrics()));
                        this.o.setHeight(-2);
                        this.p = new Runnable() {
                            /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass5 */

                            public void run() {
                                AppCompatDelegateImplV7.this.o.showAtLocation(AppCompatDelegateImplV7.this.n, 55, 0, 0);
                                AppCompatDelegateImplV7.this.x();
                                if (AppCompatDelegateImplV7.this.s()) {
                                    ViewCompat.b((View) AppCompatDelegateImplV7.this.n, 0.0f);
                                    AppCompatDelegateImplV7.this.q = ViewCompat.m(AppCompatDelegateImplV7.this.n).a(1.0f);
                                    AppCompatDelegateImplV7.this.q.a(new ViewPropertyAnimatorListenerAdapter() {
                                        /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass5.AnonymousClass1 */

                                        @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
                                        public void a(View view) {
                                            AppCompatDelegateImplV7.this.n.setVisibility(0);
                                        }

                                        @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
                                        public void b(View view) {
                                            ViewCompat.b((View) AppCompatDelegateImplV7.this.n, 1.0f);
                                            AppCompatDelegateImplV7.this.q.a((ViewPropertyAnimatorListener) null);
                                            AppCompatDelegateImplV7.this.q = null;
                                        }
                                    });
                                    return;
                                }
                                ViewCompat.b((View) AppCompatDelegateImplV7.this.n, 1.0f);
                                AppCompatDelegateImplV7.this.n.setVisibility(0);
                            }
                        };
                    } else {
                        ViewStubCompat viewStubCompat = (ViewStubCompat) this.v.findViewById(R.id.action_mode_bar_stub);
                        if (viewStubCompat != null) {
                            viewStubCompat.setLayoutInflater(LayoutInflater.from(n()));
                            this.n = (ActionBarContextView) viewStubCompat.a();
                        }
                    }
                }
                if (this.n != null) {
                    x();
                    this.n.c();
                    Context context2 = this.n.getContext();
                    ActionBarContextView actionBarContextView = this.n;
                    if (this.o != null) {
                        z2 = false;
                    }
                    StandaloneActionMode standaloneActionMode = new StandaloneActionMode(context2, actionBarContextView, callback, z2);
                    if (callback.a(standaloneActionMode, standaloneActionMode.b())) {
                        standaloneActionMode.d();
                        this.n.a(standaloneActionMode);
                        this.m = standaloneActionMode;
                        if (s()) {
                            ViewCompat.b((View) this.n, 0.0f);
                            this.q = ViewCompat.m(this.n).a(1.0f);
                            this.q.a(new ViewPropertyAnimatorListenerAdapter() {
                                /* class android.support.v7.app.AppCompatDelegateImplV7.AnonymousClass6 */

                                @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
                                public void a(View view) {
                                    AppCompatDelegateImplV7.this.n.setVisibility(0);
                                    AppCompatDelegateImplV7.this.n.sendAccessibilityEvent(32);
                                    if (AppCompatDelegateImplV7.this.n.getParent() != null) {
                                        ViewCompat.q((View) AppCompatDelegateImplV7.this.n.getParent());
                                    }
                                }

                                @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
                                public void b(View view) {
                                    ViewCompat.b((View) AppCompatDelegateImplV7.this.n, 1.0f);
                                    AppCompatDelegateImplV7.this.q.a((ViewPropertyAnimatorListener) null);
                                    AppCompatDelegateImplV7.this.q = null;
                                }
                            });
                        } else {
                            ViewCompat.b((View) this.n, 1.0f);
                            this.n.setVisibility(0);
                            this.n.sendAccessibilityEvent(32);
                            if (this.n.getParent() != null) {
                                ViewCompat.q((View) this.n.getParent());
                            }
                        }
                        if (this.o != null) {
                            this.b.getDecorView().post(this.p);
                        }
                    } else {
                        this.m = null;
                    }
                }
            }
            if (!(this.m == null || this.e == null)) {
                this.e.onSupportActionModeStarted(this.m);
            }
            return this.m;
        }
        actionMode = null;
        if (actionMode == null) {
        }
        this.e.onSupportActionModeStarted(this.m);
        return this.m;
    }

    /* access modifiers changed from: package-private */
    public final boolean s() {
        return this.u && this.v != null && ViewCompat.y(this.v);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void x() {
        if (this.q != null) {
            this.q.b();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean t() {
        if (this.m != null) {
            this.m.c();
            return true;
        }
        ActionBar a2 = a();
        if (a2 == null || !a2.f()) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public boolean a(int i, KeyEvent keyEvent) {
        ActionBar a2 = a();
        if (a2 != null && a2.a(i, keyEvent)) {
            return true;
        }
        if (this.C == null || !a(this.C, keyEvent.getKeyCode(), keyEvent, 1)) {
            if (this.C == null) {
                PanelFeatureState a3 = a(0, true);
                b(a3, keyEvent);
                boolean a4 = a(a3, keyEvent.getKeyCode(), keyEvent, 1);
                a3.m = false;
                if (a4) {
                    return true;
                }
            }
            return false;
        }
        if (this.C != null) {
            this.C.n = true;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.app.AppCompatDelegateImplBase
    public boolean a(KeyEvent keyEvent) {
        boolean z2 = true;
        if (keyEvent.getKeyCode() == 82 && this.c.dispatchKeyEvent(keyEvent)) {
            return true;
        }
        int keyCode = keyEvent.getKeyCode();
        if (keyEvent.getAction() != 0) {
            z2 = false;
        }
        return z2 ? c(keyCode, keyEvent) : b(keyCode, keyEvent);
    }

    /* access modifiers changed from: package-private */
    public boolean b(int i, KeyEvent keyEvent) {
        if (i == 4) {
            boolean z2 = this.D;
            this.D = false;
            PanelFeatureState a2 = a(0, false);
            if (a2 != null && a2.o) {
                if (!z2) {
                    a(a2, true);
                }
                return true;
            } else if (t()) {
                return true;
            }
        } else if (i == 82) {
            e(0, keyEvent);
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public boolean c(int i, KeyEvent keyEvent) {
        boolean z2 = true;
        if (i == 4) {
            if ((keyEvent.getFlags() & TbsListener.ErrorCode.DOWNLOAD_INTERRUPT) == 0) {
                z2 = false;
            }
            this.D = z2;
        } else if (i == 82) {
            d(0, keyEvent);
            return true;
        }
        if (Build.VERSION.SDK_INT < 11) {
            a(i, keyEvent);
        }
        return false;
    }

    public View c(View view, String str, @NonNull Context context, @NonNull AttributeSet attributeSet) {
        boolean z2 = Build.VERSION.SDK_INT < 21;
        if (this.K == null) {
            this.K = new AppCompatViewInflater();
        }
        return this.K.a(view, str, context, attributeSet, z2 && a((ViewParent) view), z2, true, VectorEnabledTintResources.a());
    }

    private boolean a(ViewParent viewParent) {
        if (viewParent == null) {
            return false;
        }
        View decorView = this.b.getDecorView();
        while (viewParent != null) {
            if (viewParent == decorView || !(viewParent instanceof View) || ViewCompat.z((View) viewParent)) {
                return false;
            }
            viewParent = viewParent.getParent();
        }
        return true;
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void h() {
        LayoutInflater from = LayoutInflater.from(this.f501a);
        if (from.getFactory() == null) {
            LayoutInflaterCompat.a(from, this);
        } else if (!(LayoutInflaterCompat.a(from) instanceof AppCompatDelegateImplV7)) {
            Log.i("AppCompatDelegate", "The Activity's LayoutInflater already has a Factory installed so we can not install AppCompat's");
        }
    }

    @Override // android.support.v4.view.LayoutInflaterFactory
    public final View a(View view, String str, Context context, AttributeSet attributeSet) {
        View b = b(view, str, context, attributeSet);
        if (b != null) {
            return b;
        }
        return c(view, str, context, attributeSet);
    }

    /* access modifiers changed from: package-private */
    public View b(View view, String str, Context context, AttributeSet attributeSet) {
        View onCreateView;
        if (!(this.c instanceof LayoutInflater.Factory) || (onCreateView = ((LayoutInflater.Factory) this.c).onCreateView(str, context, attributeSet)) == null) {
            return null;
        }
        return onCreateView;
    }

    private void a(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        int i;
        ViewGroup.LayoutParams layoutParams;
        if (!panelFeatureState.o && !p()) {
            if (panelFeatureState.f515a == 0) {
                Context context = this.f501a;
                boolean z2 = (context.getResources().getConfiguration().screenLayout & 15) == 4;
                boolean z3 = context.getApplicationInfo().targetSdkVersion >= 11;
                if (z2 && z3) {
                    return;
                }
            }
            Window.Callback q2 = q();
            if (q2 == null || q2.onMenuOpened(panelFeatureState.f515a, panelFeatureState.j)) {
                WindowManager windowManager = (WindowManager) this.f501a.getSystemService("window");
                if (windowManager != null && b(panelFeatureState, keyEvent)) {
                    if (panelFeatureState.g == null || panelFeatureState.q) {
                        if (panelFeatureState.g == null) {
                            if (!a(panelFeatureState) || panelFeatureState.g == null) {
                                return;
                            }
                        } else if (panelFeatureState.q && panelFeatureState.g.getChildCount() > 0) {
                            panelFeatureState.g.removeAllViews();
                        }
                        if (c(panelFeatureState) && panelFeatureState.a()) {
                            ViewGroup.LayoutParams layoutParams2 = panelFeatureState.h.getLayoutParams();
                            if (layoutParams2 == null) {
                                layoutParams2 = new ViewGroup.LayoutParams(-2, -2);
                            }
                            panelFeatureState.g.setBackgroundResource(panelFeatureState.b);
                            ViewParent parent = panelFeatureState.h.getParent();
                            if (parent != null && (parent instanceof ViewGroup)) {
                                ((ViewGroup) parent).removeView(panelFeatureState.h);
                            }
                            panelFeatureState.g.addView(panelFeatureState.h, layoutParams2);
                            if (!panelFeatureState.h.hasFocus()) {
                                panelFeatureState.h.requestFocus();
                            }
                        } else {
                            return;
                        }
                    } else if (!(panelFeatureState.i == null || (layoutParams = panelFeatureState.i.getLayoutParams()) == null || layoutParams.width != -1)) {
                        i = -1;
                        panelFeatureState.n = false;
                        WindowManager.LayoutParams layoutParams3 = new WindowManager.LayoutParams(i, -2, panelFeatureState.d, panelFeatureState.e, 1002, 8519680, -3);
                        layoutParams3.gravity = panelFeatureState.c;
                        layoutParams3.windowAnimations = panelFeatureState.f;
                        windowManager.addView(panelFeatureState.g, layoutParams3);
                        panelFeatureState.o = true;
                        return;
                    }
                    i = -2;
                    panelFeatureState.n = false;
                    WindowManager.LayoutParams layoutParams32 = new WindowManager.LayoutParams(i, -2, panelFeatureState.d, panelFeatureState.e, 1002, 8519680, -3);
                    layoutParams32.gravity = panelFeatureState.c;
                    layoutParams32.windowAnimations = panelFeatureState.f;
                    windowManager.addView(panelFeatureState.g, layoutParams32);
                    panelFeatureState.o = true;
                    return;
                }
                return;
            }
            a(panelFeatureState, true);
        }
    }

    private boolean a(PanelFeatureState panelFeatureState) {
        panelFeatureState.a(n());
        panelFeatureState.g = new ListMenuDecorView(panelFeatureState.l);
        panelFeatureState.c = 81;
        return true;
    }

    private void a(MenuBuilder menuBuilder, boolean z2) {
        if (this.r == null || !this.r.d() || (ViewConfigurationCompat.b(ViewConfiguration.get(this.f501a)) && !this.r.f())) {
            PanelFeatureState a2 = a(0, true);
            a2.q = true;
            a(a2, false);
            a(a2, (KeyEvent) null);
            return;
        }
        Window.Callback q2 = q();
        if (this.r.e() && z2) {
            this.r.h();
            if (!p()) {
                q2.onPanelClosed(108, a(0, true).j);
            }
        } else if (q2 != null && !p()) {
            if (this.E && (this.F & 1) != 0) {
                this.b.getDecorView().removeCallbacks(this.G);
                this.G.run();
            }
            PanelFeatureState a3 = a(0, true);
            if (a3.j != null && !a3.r && q2.onPreparePanel(0, a3.i, a3.j)) {
                q2.onMenuOpened(108, a3.j);
                this.r.g();
            }
        }
    }

    private boolean b(PanelFeatureState panelFeatureState) {
        Context context = this.f501a;
        if ((panelFeatureState.f515a == 0 || panelFeatureState.f515a == 108) && this.r != null) {
            TypedValue typedValue = new TypedValue();
            Resources.Theme theme = context.getTheme();
            theme.resolveAttribute(R.attr.actionBarTheme, typedValue, true);
            Resources.Theme theme2 = null;
            if (typedValue.resourceId != 0) {
                theme2 = context.getResources().newTheme();
                theme2.setTo(theme);
                theme2.applyStyle(typedValue.resourceId, true);
                theme2.resolveAttribute(R.attr.actionBarWidgetTheme, typedValue, true);
            } else {
                theme.resolveAttribute(R.attr.actionBarWidgetTheme, typedValue, true);
            }
            if (typedValue.resourceId != 0) {
                if (theme2 == null) {
                    theme2 = context.getResources().newTheme();
                    theme2.setTo(theme);
                }
                theme2.applyStyle(typedValue.resourceId, true);
            }
            if (theme2 != null) {
                ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(context, 0);
                contextThemeWrapper.getTheme().setTo(theme2);
                context = contextThemeWrapper;
            }
        }
        MenuBuilder menuBuilder = new MenuBuilder(context);
        menuBuilder.a(this);
        panelFeatureState.a(menuBuilder);
        return true;
    }

    private boolean c(PanelFeatureState panelFeatureState) {
        if (panelFeatureState.i != null) {
            panelFeatureState.h = panelFeatureState.i;
            return true;
        } else if (panelFeatureState.j == null) {
            return false;
        } else {
            if (this.t == null) {
                this.t = new PanelMenuPresenterCallback();
            }
            panelFeatureState.h = (View) panelFeatureState.a(this.t);
            if (panelFeatureState.h != null) {
                return true;
            }
            return false;
        }
    }

    private boolean b(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        if (p()) {
            return false;
        }
        if (panelFeatureState.m) {
            return true;
        }
        if (!(this.C == null || this.C == panelFeatureState)) {
            a(this.C, false);
        }
        Window.Callback q2 = q();
        if (q2 != null) {
            panelFeatureState.i = q2.onCreatePanelView(panelFeatureState.f515a);
        }
        boolean z2 = panelFeatureState.f515a == 0 || panelFeatureState.f515a == 108;
        if (z2 && this.r != null) {
            this.r.i();
        }
        if (panelFeatureState.i == null && (!z2 || !(m() instanceof ToolbarActionBar))) {
            if (panelFeatureState.j == null || panelFeatureState.r) {
                if (panelFeatureState.j == null && (!b(panelFeatureState) || panelFeatureState.j == null)) {
                    return false;
                }
                if (z2 && this.r != null) {
                    if (this.s == null) {
                        this.s = new ActionMenuPresenterCallback();
                    }
                    this.r.a(panelFeatureState.j, this.s);
                }
                panelFeatureState.j.g();
                if (!q2.onCreatePanelMenu(panelFeatureState.f515a, panelFeatureState.j)) {
                    panelFeatureState.a((MenuBuilder) null);
                    if (z2 && this.r != null) {
                        this.r.a(null, this.s);
                    }
                    return false;
                }
                panelFeatureState.r = false;
            }
            panelFeatureState.j.g();
            if (panelFeatureState.s != null) {
                panelFeatureState.j.b(panelFeatureState.s);
                panelFeatureState.s = null;
            }
            if (!q2.onPreparePanel(0, panelFeatureState.i, panelFeatureState.j)) {
                if (z2 && this.r != null) {
                    this.r.a(null, this.s);
                }
                panelFeatureState.j.h();
                return false;
            }
            panelFeatureState.p = KeyCharacterMap.load(keyEvent != null ? keyEvent.getDeviceId() : -1).getKeyboardType() != 1;
            panelFeatureState.j.setQwertyMode(panelFeatureState.p);
            panelFeatureState.j.h();
        }
        panelFeatureState.m = true;
        panelFeatureState.n = false;
        this.C = panelFeatureState;
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(MenuBuilder menuBuilder) {
        if (!this.A) {
            this.A = true;
            this.r.j();
            Window.Callback q2 = q();
            if (q2 != null && !p()) {
                q2.onPanelClosed(108, menuBuilder);
            }
            this.A = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d(int i) {
        a(a(i, true), true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(PanelFeatureState panelFeatureState, boolean z2) {
        if (!z2 || panelFeatureState.f515a != 0 || this.r == null || !this.r.e()) {
            WindowManager windowManager = (WindowManager) this.f501a.getSystemService("window");
            if (!(windowManager == null || !panelFeatureState.o || panelFeatureState.g == null)) {
                windowManager.removeView(panelFeatureState.g);
                if (z2) {
                    a(panelFeatureState.f515a, panelFeatureState, (Menu) null);
                }
            }
            panelFeatureState.m = false;
            panelFeatureState.n = false;
            panelFeatureState.o = false;
            panelFeatureState.h = null;
            panelFeatureState.q = true;
            if (this.C == panelFeatureState) {
                this.C = null;
                return;
            }
            return;
        }
        b(panelFeatureState.j);
    }

    private boolean d(int i, KeyEvent keyEvent) {
        if (keyEvent.getRepeatCount() != 0) {
            return false;
        }
        PanelFeatureState a2 = a(i, true);
        if (!a2.o) {
            return b(a2, keyEvent);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x0070  */
    private boolean e(int i, KeyEvent keyEvent) {
        boolean z2;
        boolean z3;
        if (this.m != null) {
            return false;
        }
        PanelFeatureState a2 = a(i, true);
        if (i == 0 && this.r != null && this.r.d() && !ViewConfigurationCompat.b(ViewConfiguration.get(this.f501a))) {
            if (this.r.e()) {
                z2 = this.r.h();
            } else if (!p() && b(a2, keyEvent)) {
                z2 = this.r.g();
            }
            if (z2) {
            }
            return z2;
        } else if (a2.o || a2.n) {
            z2 = a2.o;
            a(a2, true);
            if (z2) {
                AudioManager audioManager = (AudioManager) this.f501a.getSystemService("audio");
                if (audioManager != null) {
                    audioManager.playSoundEffect(0);
                } else {
                    Log.w("AppCompatDelegate", "Couldn't get audio manager");
                }
            }
            return z2;
        } else if (a2.m) {
            if (a2.r) {
                a2.m = false;
                z3 = b(a2, keyEvent);
            } else {
                z3 = true;
            }
            if (z3) {
                a(a2, keyEvent);
                z2 = true;
                if (z2) {
                }
                return z2;
            }
        }
        z2 = false;
        if (z2) {
        }
        return z2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i, PanelFeatureState panelFeatureState, Menu menu) {
        if (menu == null) {
            if (panelFeatureState == null && i >= 0 && i < this.B.length) {
                panelFeatureState = this.B[i];
            }
            if (panelFeatureState != null) {
                menu = panelFeatureState.j;
            }
        }
        if ((panelFeatureState == null || panelFeatureState.o) && !p()) {
            this.c.onPanelClosed(i, menu);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private PanelFeatureState a(Menu menu) {
        PanelFeatureState[] panelFeatureStateArr = this.B;
        int length = panelFeatureStateArr != null ? panelFeatureStateArr.length : 0;
        for (int i = 0; i < length; i++) {
            PanelFeatureState panelFeatureState = panelFeatureStateArr[i];
            if (panelFeatureState != null && panelFeatureState.j == menu) {
                return panelFeatureState;
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public PanelFeatureState a(int i, boolean z2) {
        PanelFeatureState[] panelFeatureStateArr = this.B;
        if (panelFeatureStateArr == null || panelFeatureStateArr.length <= i) {
            PanelFeatureState[] panelFeatureStateArr2 = new PanelFeatureState[(i + 1)];
            if (panelFeatureStateArr != null) {
                System.arraycopy(panelFeatureStateArr, 0, panelFeatureStateArr2, 0, panelFeatureStateArr.length);
            }
            this.B = panelFeatureStateArr2;
            panelFeatureStateArr = panelFeatureStateArr2;
        }
        PanelFeatureState panelFeatureState = panelFeatureStateArr[i];
        if (panelFeatureState != null) {
            return panelFeatureState;
        }
        PanelFeatureState panelFeatureState2 = new PanelFeatureState(i);
        panelFeatureStateArr[i] = panelFeatureState2;
        return panelFeatureState2;
    }

    private boolean a(PanelFeatureState panelFeatureState, int i, KeyEvent keyEvent, int i2) {
        boolean z2 = false;
        if (keyEvent.isSystem()) {
            return false;
        }
        if ((panelFeatureState.m || b(panelFeatureState, keyEvent)) && panelFeatureState.j != null) {
            z2 = panelFeatureState.j.performShortcut(i, keyEvent, i2);
        }
        if (z2 && (i2 & 1) == 0 && this.r == null) {
            a(panelFeatureState, true);
        }
        return z2;
    }

    private void e(int i) {
        this.F = (1 << i) | this.F;
        if (!this.E) {
            ViewCompat.a(this.b.getDecorView(), this.G);
            this.E = true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f(int i) {
        PanelFeatureState a2;
        PanelFeatureState a3 = a(i, true);
        if (a3.j != null) {
            Bundle bundle = new Bundle();
            a3.j.a(bundle);
            if (bundle.size() > 0) {
                a3.s = bundle;
            }
            a3.j.g();
            a3.j.clear();
        }
        a3.r = true;
        a3.q = true;
        if ((i == 108 || i == 0) && this.r != null && (a2 = a(0, false)) != null) {
            a2.m = false;
            b(a2, (KeyEvent) null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int g(int i) {
        boolean z2;
        boolean z3;
        int i2 = 0;
        if (this.n == null || !(this.n.getLayoutParams() instanceof ViewGroup.MarginLayoutParams)) {
            z2 = false;
        } else {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.n.getLayoutParams();
            z2 = true;
            if (this.n.isShown()) {
                if (this.I == null) {
                    this.I = new Rect();
                    this.J = new Rect();
                }
                Rect rect = this.I;
                Rect rect2 = this.J;
                rect.set(0, i, 0, 0);
                ViewUtils.a(this.v, rect, rect2);
                if (marginLayoutParams.topMargin != (rect2.top == 0 ? i : 0)) {
                    marginLayoutParams.topMargin = i;
                    if (this.x == null) {
                        this.x = new View(this.f501a);
                        this.x.setBackgroundColor(this.f501a.getResources().getColor(R.color.abc_input_method_navigation_guard));
                        this.v.addView(this.x, -1, new ViewGroup.LayoutParams(-1, i));
                    } else {
                        ViewGroup.LayoutParams layoutParams = this.x.getLayoutParams();
                        if (layoutParams.height != i) {
                            layoutParams.height = i;
                            this.x.setLayoutParams(layoutParams);
                        }
                    }
                    z3 = true;
                } else {
                    z3 = false;
                }
                if (this.x == null) {
                    z2 = false;
                }
                if (!this.j && z2) {
                    i = 0;
                }
            } else {
                if (marginLayoutParams.topMargin != 0) {
                    marginLayoutParams.topMargin = 0;
                    z3 = true;
                } else {
                    z3 = false;
                }
                z2 = false;
            }
            if (z3) {
                this.n.setLayoutParams(marginLayoutParams);
            }
        }
        if (this.x != null) {
            View view = this.x;
            if (!z2) {
                i2 = 8;
            }
            view.setVisibility(i2);
        }
        return i;
    }

    private void y() {
        if (this.u) {
            throw new AndroidRuntimeException("Window feature must be requested before adding content");
        }
    }

    private int h(int i) {
        if (i == 8) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR id when requesting this feature.");
            return 108;
        } else if (i != 9) {
            return i;
        } else {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR_OVERLAY id when requesting this feature.");
            return 109;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void z() {
        if (this.r != null) {
            this.r.j();
        }
        if (this.o != null) {
            this.b.getDecorView().removeCallbacks(this.p);
            if (this.o.isShowing()) {
                try {
                    this.o.dismiss();
                } catch (IllegalArgumentException unused) {
                }
            }
            this.o = null;
        }
        x();
        PanelFeatureState a2 = a(0, false);
        if (a2 != null && a2.j != null) {
            a2.j.close();
        }
    }

    /* access modifiers changed from: package-private */
    public class ActionModeCallbackWrapperV7 implements ActionMode.Callback {
        private ActionMode.Callback b;

        public ActionModeCallbackWrapperV7(ActionMode.Callback callback) {
            this.b = callback;
        }

        @Override // android.support.v7.view.ActionMode.Callback
        public boolean a(ActionMode actionMode, Menu menu) {
            return this.b.a(actionMode, menu);
        }

        @Override // android.support.v7.view.ActionMode.Callback
        public boolean b(ActionMode actionMode, Menu menu) {
            return this.b.b(actionMode, menu);
        }

        @Override // android.support.v7.view.ActionMode.Callback
        public boolean a(ActionMode actionMode, MenuItem menuItem) {
            return this.b.a(actionMode, menuItem);
        }

        @Override // android.support.v7.view.ActionMode.Callback
        public void a(ActionMode actionMode) {
            this.b.a(actionMode);
            if (AppCompatDelegateImplV7.this.o != null) {
                AppCompatDelegateImplV7.this.b.getDecorView().removeCallbacks(AppCompatDelegateImplV7.this.p);
            }
            if (AppCompatDelegateImplV7.this.n != null) {
                AppCompatDelegateImplV7.this.x();
                AppCompatDelegateImplV7.this.q = ViewCompat.m(AppCompatDelegateImplV7.this.n).a(0.0f);
                AppCompatDelegateImplV7.this.q.a(new ViewPropertyAnimatorListenerAdapter() {
                    /* class android.support.v7.app.AppCompatDelegateImplV7.ActionModeCallbackWrapperV7.AnonymousClass1 */

                    @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
                    public void b(View view) {
                        AppCompatDelegateImplV7.this.n.setVisibility(8);
                        if (AppCompatDelegateImplV7.this.o != null) {
                            AppCompatDelegateImplV7.this.o.dismiss();
                        } else if (AppCompatDelegateImplV7.this.n.getParent() instanceof View) {
                            ViewCompat.q((View) AppCompatDelegateImplV7.this.n.getParent());
                        }
                        AppCompatDelegateImplV7.this.n.removeAllViews();
                        AppCompatDelegateImplV7.this.q.a((ViewPropertyAnimatorListener) null);
                        AppCompatDelegateImplV7.this.q = null;
                    }
                });
            }
            if (AppCompatDelegateImplV7.this.e != null) {
                AppCompatDelegateImplV7.this.e.onSupportActionModeFinished(AppCompatDelegateImplV7.this.m);
            }
            AppCompatDelegateImplV7.this.m = null;
        }
    }

    /* access modifiers changed from: private */
    public final class PanelMenuPresenterCallback implements MenuPresenter.Callback {
        private PanelMenuPresenterCallback() {
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public void a(MenuBuilder menuBuilder, boolean z) {
            MenuBuilder p = menuBuilder.p();
            boolean z2 = p != menuBuilder;
            AppCompatDelegateImplV7 appCompatDelegateImplV7 = AppCompatDelegateImplV7.this;
            if (z2) {
                menuBuilder = p;
            }
            PanelFeatureState a2 = appCompatDelegateImplV7.a((AppCompatDelegateImplV7) menuBuilder);
            if (a2 == null) {
                return;
            }
            if (z2) {
                AppCompatDelegateImplV7.this.a((AppCompatDelegateImplV7) a2.f515a, (int) a2, (PanelFeatureState) p);
                AppCompatDelegateImplV7.this.a((AppCompatDelegateImplV7) a2, (PanelFeatureState) true);
                return;
            }
            AppCompatDelegateImplV7.this.a((AppCompatDelegateImplV7) a2, (PanelFeatureState) z);
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public boolean a(MenuBuilder menuBuilder) {
            Window.Callback q;
            if (menuBuilder != null || !AppCompatDelegateImplV7.this.h || (q = AppCompatDelegateImplV7.this.q()) == null || AppCompatDelegateImplV7.this.p()) {
                return true;
            }
            q.onMenuOpened(108, menuBuilder);
            return true;
        }
    }

    /* access modifiers changed from: private */
    public final class ActionMenuPresenterCallback implements MenuPresenter.Callback {
        private ActionMenuPresenterCallback() {
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public boolean a(MenuBuilder menuBuilder) {
            Window.Callback q = AppCompatDelegateImplV7.this.q();
            if (q == null) {
                return true;
            }
            q.onMenuOpened(108, menuBuilder);
            return true;
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public void a(MenuBuilder menuBuilder, boolean z) {
            AppCompatDelegateImplV7.this.b((AppCompatDelegateImplV7) menuBuilder);
        }
    }

    /* access modifiers changed from: protected */
    public static final class PanelFeatureState {

        /* renamed from: a  reason: collision with root package name */
        int f515a;
        int b;
        int c;
        int d;
        int e;
        int f;
        ViewGroup g;
        View h;
        View i;
        MenuBuilder j;
        ListMenuPresenter k;
        Context l;
        boolean m;
        boolean n;
        boolean o;
        public boolean p;
        boolean q = false;
        boolean r;
        Bundle s;

        PanelFeatureState(int i2) {
            this.f515a = i2;
        }

        public boolean a() {
            if (this.h == null) {
                return false;
            }
            if (this.i == null && this.k.a().getCount() <= 0) {
                return false;
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public void a(Context context) {
            TypedValue typedValue = new TypedValue();
            Resources.Theme newTheme = context.getResources().newTheme();
            newTheme.setTo(context.getTheme());
            newTheme.resolveAttribute(R.attr.actionBarPopupTheme, typedValue, true);
            if (typedValue.resourceId != 0) {
                newTheme.applyStyle(typedValue.resourceId, true);
            }
            newTheme.resolveAttribute(R.attr.panelMenuListTheme, typedValue, true);
            if (typedValue.resourceId != 0) {
                newTheme.applyStyle(typedValue.resourceId, true);
            } else {
                newTheme.applyStyle(R.style.Theme_AppCompat_CompactMenu, true);
            }
            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(context, 0);
            contextThemeWrapper.getTheme().setTo(newTheme);
            this.l = contextThemeWrapper;
            TypedArray obtainStyledAttributes = contextThemeWrapper.obtainStyledAttributes(R.styleable.AppCompatTheme);
            this.b = obtainStyledAttributes.getResourceId(R.styleable.AppCompatTheme_panelBackground, 0);
            this.f = obtainStyledAttributes.getResourceId(R.styleable.AppCompatTheme_android_windowAnimationStyle, 0);
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        public void a(MenuBuilder menuBuilder) {
            if (menuBuilder != this.j) {
                if (this.j != null) {
                    this.j.b(this.k);
                }
                this.j = menuBuilder;
                if (menuBuilder != null && this.k != null) {
                    menuBuilder.a(this.k);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public MenuView a(MenuPresenter.Callback callback) {
            if (this.j == null) {
                return null;
            }
            if (this.k == null) {
                this.k = new ListMenuPresenter(this.l, R.layout.abc_list_menu_item_layout);
                this.k.a(callback);
                this.j.a(this.k);
            }
            return this.k.a(this.g);
        }

        /* access modifiers changed from: private */
        public static class SavedState implements Parcelable {
            public static final Parcelable.Creator<SavedState> CREATOR = ParcelableCompat.a(new ParcelableCompatCreatorCallbacks<SavedState>() {
                /* class android.support.v7.app.AppCompatDelegateImplV7.PanelFeatureState.SavedState.AnonymousClass1 */

                /* renamed from: b */
                public SavedState a(Parcel parcel, ClassLoader classLoader) {
                    return SavedState.b(parcel, classLoader);
                }

                /* renamed from: b */
                public SavedState[] a(int i) {
                    return new SavedState[i];
                }
            });

            /* renamed from: a  reason: collision with root package name */
            int f516a;
            boolean b;
            Bundle c;

            public int describeContents() {
                return 0;
            }

            private SavedState() {
            }

            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.f516a);
                parcel.writeInt(this.b ? 1 : 0);
                if (this.b) {
                    parcel.writeBundle(this.c);
                }
            }

            /* access modifiers changed from: private */
            public static SavedState b(Parcel parcel, ClassLoader classLoader) {
                SavedState savedState = new SavedState();
                savedState.f516a = parcel.readInt();
                boolean z = true;
                if (parcel.readInt() != 1) {
                    z = false;
                }
                savedState.b = z;
                if (savedState.b) {
                    savedState.c = parcel.readBundle(classLoader);
                }
                return savedState;
            }
        }
    }

    /* access modifiers changed from: private */
    public class ListMenuDecorView extends ContentFrameLayout {
        public ListMenuDecorView(Context context) {
            super(context);
        }

        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImplV7.this.a(keyEvent) || super.dispatchKeyEvent(keyEvent);
        }

        public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
            if (motionEvent.getAction() != 0 || !a((int) motionEvent.getX(), (int) motionEvent.getY())) {
                return super.onInterceptTouchEvent(motionEvent);
            }
            AppCompatDelegateImplV7.this.d(0);
            return true;
        }

        public void setBackgroundResource(int i) {
            setBackgroundDrawable(AppCompatDrawableManager.a().a(getContext(), i));
        }

        private boolean a(int i, int i2) {
            return i < -5 || i2 < -5 || i > getWidth() + 5 || i2 > getHeight() + 5;
        }
    }
}
