package cn.app.client.utils;

import android.content.Context;
import android.content.res.AssetManager;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;

public class FileUtils {

    public interface OnCopyAssetsCallBack {
        void a();

        void a(int i, int i2);
    }

    public static void a(final Context context, final String str, final OnCopyAssetsCallBack onCopyAssetsCallBack) {
        new Thread(new Runnable() {
            /* class cn.app.client.utils.FileUtils.AnonymousClass1 */

            public void run() {
                try {
                    File file = new File(str);
                    if (!file.exists()) {
                        file.mkdir();
                    }
                    String[] list = context.getAssets().list("init");
                    if (list.length > 0) {
                        for (int i = 0; i < list.length; i++) {
                            String str = list[i];
                            File file2 = new File(file.getAbsolutePath() + "/" + str);
                            AssetManager assets = context.getAssets();
                            InputStream open = assets.open("init/" + str);
                            BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(file2));
                            byte[] bArr = new byte[1024];
                            while (true) {
                                int read = open.read(bArr);
                                if (read == -1) {
                                    break;
                                }
                                bufferedOutputStream.write(bArr, 0, read);
                                bufferedOutputStream.flush();
                            }
                            open.close();
                            bufferedOutputStream.close();
                            if (onCopyAssetsCallBack != null) {
                                onCopyAssetsCallBack.a(i + 1, list.length);
                            }
                        }
                    } else if (onCopyAssetsCallBack != null) {
                        onCopyAssetsCallBack.a(0, 0);
                    }
                    if (onCopyAssetsCallBack != null) {
                        onCopyAssetsCallBack.a();
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }).start();
    }
}
