package cn.jiguang.android;

import android.os.Binder;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;

public interface IDataShare extends IInterface {

    public abstract class Stub extends Binder implements IDataShare {
        public Stub() {
            attachInterface(this, "cn.jiguang.android.IDataShare");
        }

        public static IDataShare a(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface("cn.jiguang.android.IDataShare");
            return (queryLocalInterface == null || !(queryLocalInterface instanceof IDataShare)) ? new a(iBinder) : (IDataShare) queryLocalInterface;
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            if (i != 1598968902) {
                Bundle bundle = null;
                switch (i) {
                    case 1:
                        parcel.enforceInterface("cn.jiguang.android.IDataShare");
                        IBinder a2 = a(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeStrongBinder(a2);
                        return true;
                    case 2:
                        parcel.enforceInterface("cn.jiguang.android.IDataShare");
                        String readString = parcel.readString();
                        String readString2 = parcel.readString();
                        if (parcel.readInt() != 0) {
                            bundle = (Bundle) Bundle.CREATOR.createFromParcel(parcel);
                        }
                        a(readString, readString2, bundle);
                        return true;
                    case 3:
                        parcel.enforceInterface("cn.jiguang.android.IDataShare");
                        String readString3 = parcel.readString();
                        String readString4 = parcel.readString();
                        if (parcel.readInt() != 0) {
                            bundle = (Bundle) Bundle.CREATOR.createFromParcel(parcel);
                        }
                        Bundle b = b(readString3, readString4, bundle);
                        parcel2.writeNoException();
                        if (b != null) {
                            parcel2.writeInt(1);
                            b.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 4:
                        parcel.enforceInterface("cn.jiguang.android.IDataShare");
                        String a3 = a(a(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeString(a3);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString("cn.jiguang.android.IDataShare");
                return true;
            }
        }
    }

    IBinder a(String str, String str2);

    String a(IDataShare iDataShare, String str);

    void a(String str, String str2, Bundle bundle);

    Bundle b(String str, String str2, Bundle bundle);
}
