package cn.jpush.android.d;

import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import cn.jpush.android.api.CustomMessage;
import cn.jpush.android.b.d;
import cn.jpush.android.cache.a;
import cn.jpush.android.helper.JCoreHelper;
import cn.jpush.android.helper.Logger;
import cn.jpush.android.helper.c;
import cn.jpush.android.local.JPushConstants;
import java.io.LineNumberReader;
import java.io.StringReader;
import java.util.Locale;
import org.json.JSONObject;

public class b {
    public static CustomMessage a(Intent intent) {
        CustomMessage customMessage;
        Throwable th;
        try {
            String stringExtra = intent.getStringExtra("data");
            String stringExtra2 = intent.getStringExtra("msgid");
            JSONObject jSONObject = new JSONObject(stringExtra);
            customMessage = new CustomMessage();
            try {
                customMessage.f994a = stringExtra2;
                customMessage.g = intent.getStringExtra("appId");
                customMessage.f = intent.getStringExtra("senderId");
                customMessage.c = jSONObject.optString("message", "");
                customMessage.d = jSONObject.optString("content_type", "");
                customMessage.e = jSONObject.optString("title", "");
                customMessage.b = jSONObject.optString("extras", "");
            } catch (Throwable th2) {
                th = th2;
            }
        } catch (Throwable th3) {
            th = th3;
            customMessage = null;
            Logger.f("MessageHelper", "processMessage failed:" + th.getMessage());
            return customMessage;
        }
        return customMessage;
    }

    private static cn.jpush.android.b.b a(d dVar) {
        try {
            cn.jpush.android.b.b a2 = cn.jpush.android.b.b.a(new JSONObject(dVar.g).optJSONObject("geofence"));
            if (a2 == null) {
                return null;
            }
            a2.t = dVar;
            return a2;
        } catch (Throwable unused) {
            return null;
        }
    }

    private static void a(Context context, int i, long j, long j2) {
        JCoreHelper.a(context, "JPUSH", 4, 2, j2, cn.jpush.android.j.b.a(0, (byte) i, j));
    }

    public static void a(Context context, int i, String str, String str2, String str3, long j, byte b) {
        if (!str2.equals(context.getPackageName())) {
            Logger.h("MessageHelper", "msg appId is not mine pkgname,appid:" + str2 + ",pkgname:" + context.getPackageName());
            return;
        }
        Logger.b("MessageHelper", "action:receivedPushMessage msgId = " + j);
        d a2 = d.a(str, str2, str3, j);
        if (a2 != null && !c.a(context, a2.a()) && !cn.jpush.android.h.b.c(context, a2)) {
            a2.W = b;
            cn.jpush.android.b.b a3 = a(a2);
            if (a3 == null || TextUtils.isEmpty(a3.f1007a)) {
                a(context, a2);
            } else {
                d.a(context).a(a3);
            }
        }
    }

    public static void a(Context context, d dVar) {
        Logger.b("MessageHelper", "processBasicEntity type:" + dVar.e);
        dVar.e = dVar.i ? dVar.h == 4 ? 3 : 1 : 2;
        if ((dVar.e & 2) != 0) {
            Logger.b("MessageHelper", "processBasicEntity user-defined message.");
            if (!TextUtils.isEmpty(dVar.l) || !TextUtils.isEmpty(dVar.o)) {
                b(context, dVar);
            } else {
                Logger.g("MessageHelper", "no message or extra send to user");
            }
        }
        if ((dVar.e & 1) != 0) {
            Logger.b("MessageHelper", "processBasicEntity notification");
            if (a.c(context)) {
                Logger.d("MessageHelper", "Service is stoped, give up all the message");
                return;
            }
            dVar.a(context);
            if (!cn.jpush.android.h.b.c(context)) {
                c.a(dVar.c, 986, context);
                Logger.e("MessageHelper", "push is invalidPushTime，Intercept the message");
                return;
            }
            cn.jpush.android.h.b.a(context, dVar);
        }
    }

    public static void a(Context context, cn.jpush.android.j.c cVar) {
        a(context, cVar.b(), cVar.c(), cVar.f());
        long c = cVar.c();
        int b = cVar.b();
        String d = cVar.d();
        Logger.b("MessageHelper", "msgType = " + b + ", msgId = " + c);
        StringBuilder sb = new StringBuilder();
        sb.append("msgContent: \n");
        sb.append(d);
        Logger.a("MessageHelper", sb.toString());
        Logger.b("MessageHelper", "msgContent size:" + d.getBytes().length);
        LineNumberReader lineNumberReader = new LineNumberReader(new StringReader(d));
        try {
            String readLine = lineNumberReader.readLine();
            String readLine2 = lineNumberReader.readLine();
            if (readLine == null) {
                Logger.h("MessageHelper", "NO appId");
            } else if (readLine2 == null) {
                Logger.h("MessageHelper", "NO senderId");
            } else {
                int length = readLine.length() + readLine2.length() + 2;
                if (d.length() > length + 1) {
                    String substring = d.substring(length);
                    if (!readLine2.equals(JCoreHelper.c(context))) {
                        Logger.h("MessageHelper", "msg senderId is not mine appkey,senderId:" + readLine2 + ",appkey:" + JCoreHelper.c(context));
                        return;
                    }
                    Logger.a("MessageHelper", "Message Fields - appId:" + readLine + ", senderId:" + readLine2 + ", msgContent:" + substring);
                    if (!(b == 0 || b == 2)) {
                        if (b != 20) {
                            switch (b) {
                                case 100:
                                case 101:
                                    break;
                                default:
                                    Logger.g("MessageHelper", "unkown msg type");
                                    return;
                            }
                        } else {
                            cn.jpush.android.k.a.a(context, substring, 0, -1L);
                            return;
                        }
                    }
                    a(context, b, substring, readLine, readLine2, c, (byte) 0);
                    return;
                }
                Logger.b("MessageHelper", "No msgContent");
            }
        } catch (Throwable th) {
            Logger.b("MessageHelper", "Parse msgContent failed", th);
        }
    }

    public static void b(Context context, d dVar) {
        try {
            String e = JPushConstants.e(context);
            if (!TextUtils.isEmpty(e)) {
                Intent intent = new Intent(context, Class.forName(e));
                intent.setAction(cn.jpush.android.m.a.e(context, "custom_msg"));
                intent.putExtra("data", dVar.g);
                intent.putExtra("msgid", dVar.c);
                intent.putExtra("appId", dVar.f1017a);
                intent.putExtra("senderId", dVar.b);
                if (JPushConstants.d(context) != null) {
                    JPushConstants.d(context).a(context, a(intent));
                } else {
                    context.sendBroadcast(intent);
                }
            } else {
                Logger.c("MessageHelper", "not found user push message,use old action to user");
                Intent intent2 = new Intent("cn.jpush.android.intent.MESSAGE_RECEIVED");
                intent2.putExtra("cn.jpush.android.APPKEY", dVar.b);
                intent2.putExtra("cn.jpush.android.MESSAGE", dVar.l);
                intent2.putExtra("cn.jpush.android.CONTENT_TYPE", dVar.m);
                intent2.putExtra("cn.jpush.android.TITLE", dVar.n);
                intent2.putExtra("cn.jpush.android.EXTRA", dVar.o);
                intent2.putExtra("cn.jpush.android.MSG_ID", dVar.c);
                intent2.addCategory(dVar.f1017a);
                intent2.setPackage(context.getPackageName());
                context.sendBroadcast(intent2, String.format(Locale.ENGLISH, "%s.permission.JPUSH_MESSAGE", dVar.f1017a));
                Logger.d("MessageHelper", "Send broadcast to app: " + String.format(Locale.ENGLISH, "%s.permission.JPUSH_MESSAGE", dVar.f1017a));
            }
            if (dVar.W != 0) {
                c.a(dVar.c, "", dVar.W, 1018, context);
            } else {
                c.a(dVar.c, 1018, context);
            }
        } catch (Throwable th) {
            Logger.h("MessageHelper", "sendBroadcastToApp error:" + th.getMessage());
        }
    }
}
