package cn.jpush.android.helper;

import android.content.Context;
import android.text.TextUtils;
import cn.jiguang.api.JCoreManager;
import org.json.JSONException;
import org.json.JSONObject;

public class c {
    public static void a(Context context, JSONObject jSONObject) {
        if (context == null) {
            throw new IllegalArgumentException("NULL context");
        } else if (jSONObject != null && jSONObject.length() > 0) {
            Logger.b("JPushReportHelper", "action:reportOperation - content:" + jSONObject.toString());
            JCoreManager.a(context, "JPUSH", 14, null, null, jSONObject);
        }
    }

    public static void a(String str, int i, Context context) {
        a(str, i, null, context);
    }

    public static void a(String str, int i, String str2, Context context) {
        if (context == null) {
            Logger.b("JPushReportHelper", "context did not init, return");
            return;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("action:reportActionResult - messageId: " + str + ", code: " + i + "-" + f.a(i));
        if (!TextUtils.isEmpty(str2)) {
            stringBuffer.append(" report content: " + str2);
        }
        Logger.b("JPushReportHelper", stringBuffer.toString());
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("msg_id", str);
            jSONObject.put("result", i);
            if (!TextUtils.isEmpty(str2)) {
                jSONObject.put("data", str2);
            }
            JSONObject a2 = JCoreHelper.a(context, jSONObject, "msg_status");
            a2.put("type", "msg_status");
            a(context, a2);
        } catch (JSONException unused) {
        }
    }

    public static void a(String str, String str2, byte b, int i, Context context) {
        if (context == null) {
            Logger.b("JPushReportHelper", "context did not init, return");
            return;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("action:reportThirdSDKMsgActionResult - messageId: " + str + ", code: " + i);
        Logger.b("JPushReportHelper", stringBuffer.toString());
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("msg_id", str);
            jSONObject.put("tmsg_id", str2);
            jSONObject.put("result", i);
            jSONObject.put("sdk_type", (int) b);
            JSONObject a2 = JCoreHelper.a(context, jSONObject, "third_msg_status");
            a2.put("type", "third_msg_status");
            a(context, a2);
        } catch (JSONException unused) {
        }
    }
}
