package com.facebook.react.animated;

import com.facebook.react.bridge.ReadableMap;

public class DecayAnimation extends AnimationDriver {
    private final double e;
    private double f;
    private long g;
    private double h;
    private double i;
    private int j;
    private int k;

    public DecayAnimation(ReadableMap readableMap) {
        this.e = readableMap.d("velocity");
        a(readableMap);
    }

    @Override // com.facebook.react.animated.AnimationDriver
    public void a(ReadableMap readableMap) {
        this.f = readableMap.d("deceleration");
        boolean z = true;
        this.j = readableMap.a("iterations") ? readableMap.e("iterations") : 1;
        this.k = 1;
        if (this.j != 0) {
            z = false;
        }
        this.f1832a = z;
        this.g = -1;
        this.h = 0.0d;
        this.i = 0.0d;
    }

    @Override // com.facebook.react.animated.AnimationDriver
    public void a(long j2) {
        long j3 = j2 / 1000000;
        if (this.g == -1) {
            this.g = j3 - 16;
            if (this.h == this.i) {
                this.h = this.b.e;
            } else {
                this.b.e = this.h;
            }
            this.i = this.b.e;
        }
        double exp = this.h + ((this.e / (1.0d - this.f)) * (1.0d - Math.exp((-(1.0d - this.f)) * ((double) (j3 - this.g)))));
        if (Math.abs(this.i - exp) < 0.1d) {
            if (this.j == -1 || this.k < this.j) {
                this.g = -1;
                this.k++;
            } else {
                this.f1832a = true;
                return;
            }
        }
        this.i = exp;
        this.b.e = exp;
    }
}
