package com.facebook.react.animated;

import com.facebook.react.bridge.JavaOnlyMap;
import com.facebook.react.bridge.ReadableMap;

/* access modifiers changed from: package-private */
public class TrackingAnimatedNode extends AnimatedNode {
    private final NativeAnimatedNodesManager e;
    private final int f;
    private final int g;
    private final int h;
    private final JavaOnlyMap i;

    TrackingAnimatedNode(ReadableMap readableMap, NativeAnimatedNodesManager nativeAnimatedNodesManager) {
        this.e = nativeAnimatedNodesManager;
        this.f = readableMap.e("animationId");
        this.g = readableMap.e("toValue");
        this.h = readableMap.e("value");
        this.i = JavaOnlyMap.a(readableMap.g("animationConfig"));
    }

    @Override // com.facebook.react.animated.AnimatedNode
    public void a() {
        this.i.putDouble("toValue", ((ValueAnimatedNode) this.e.a(this.g)).b());
        this.e.a(this.f, this.h, this.i, null);
    }
}
