package com.facebook.react.animated;

import com.facebook.react.bridge.ReadableMap;
import javax.annotation.Nullable;

class ValueAnimatedNode extends AnimatedNode {
    double e = Double.NaN;
    double f = 0.0d;
    @Nullable
    private AnimatedNodeValueListener g;

    public ValueAnimatedNode() {
    }

    public ValueAnimatedNode(ReadableMap readableMap) {
        this.e = readableMap.d("value");
        this.f = readableMap.d("offset");
    }

    public double b() {
        return this.f + this.e;
    }

    public void c() {
        this.e += this.f;
        this.f = 0.0d;
    }

    public void d() {
        this.f += this.e;
        this.e = 0.0d;
    }

    public void e() {
        if (this.g != null) {
            this.g.a(b());
        }
    }

    public void a(@Nullable AnimatedNodeValueListener animatedNodeValueListener) {
        this.g = animatedNodeValueListener;
    }
}
