package com.facebook.react.bridge;

import android.content.Context;
import com.facebook.react.common.DebugServerException;

public abstract class JSBundleLoader {
    public abstract String a(CatalystInstanceImpl catalystInstanceImpl);

    public static JSBundleLoader a(final Context context, final String str, final boolean z) {
        return new JSBundleLoader() {
            /* class com.facebook.react.bridge.JSBundleLoader.AnonymousClass1 */

            @Override // com.facebook.react.bridge.JSBundleLoader
            public String a(CatalystInstanceImpl catalystInstanceImpl) {
                catalystInstanceImpl.loadScriptFromAssets(context.getAssets(), str, z);
                return str;
            }
        };
    }

    public static JSBundleLoader a(String str) {
        return a(str, str, false);
    }

    public static JSBundleLoader a(final String str, final String str2, final boolean z) {
        return new JSBundleLoader() {
            /* class com.facebook.react.bridge.JSBundleLoader.AnonymousClass2 */

            @Override // com.facebook.react.bridge.JSBundleLoader
            public String a(CatalystInstanceImpl catalystInstanceImpl) {
                catalystInstanceImpl.loadScriptFromFile(str, str2, z);
                return str;
            }
        };
    }

    public static JSBundleLoader a(final String str, final String str2) {
        return new JSBundleLoader() {
            /* class com.facebook.react.bridge.JSBundleLoader.AnonymousClass3 */

            @Override // com.facebook.react.bridge.JSBundleLoader
            public String a(CatalystInstanceImpl catalystInstanceImpl) {
                try {
                    catalystInstanceImpl.loadScriptFromFile(str2, str, false);
                    return str;
                } catch (Exception e) {
                    throw DebugServerException.a(e.getMessage(), e);
                }
            }
        };
    }

    public static JSBundleLoader b(final String str, final String str2) {
        return new JSBundleLoader() {
            /* class com.facebook.react.bridge.JSBundleLoader.AnonymousClass4 */

            @Override // com.facebook.react.bridge.JSBundleLoader
            public String a(CatalystInstanceImpl catalystInstanceImpl) {
                catalystInstanceImpl.setSourceURLs(str2, str);
                return str2;
            }
        };
    }
}
