package com.facebook.react.flat;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathEffect;
import android.graphics.RectF;
import com.tencent.smtt.sdk.WebView;
import javax.annotation.Nullable;

abstract class AbstractDrawBorder extends AbstractDrawCommand {
    private static final Paint c = new Paint(1);
    private static final RectF d = new RectF();
    private int e;
    private int f = WebView.NIGHT_MODE_COLOR;
    private float g;
    private float h;
    @Nullable
    private Path i;

    /* access modifiers changed from: protected */
    @Nullable
    public PathEffect e() {
        return null;
    }

    AbstractDrawBorder() {
    }

    static {
        c.setStyle(Paint.Style.STROKE);
    }

    public final void a(float f2) {
        this.g = f2;
        c(1);
    }

    public final float a() {
        return this.g;
    }

    public void b(float f2) {
        this.h = f2;
        c(1);
    }

    public final float b() {
        return this.h;
    }

    public final void a(int i2) {
        this.f = i2;
    }

    public final int c() {
        return this.f;
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void d() {
        c(1);
    }

    /* access modifiers changed from: protected */
    public final void a(Canvas canvas) {
        if (this.g >= 0.5f && this.f != 0) {
            c.setColor(this.f);
            c.setStrokeWidth(this.g);
            c.setPathEffect(e());
            canvas.drawPath(f(), c);
        }
    }

    /* access modifiers changed from: protected */
    public final void a(Path path, float f2) {
        path.reset();
        d.set(p() + f2, q() + f2, r() - f2, s() - f2);
        path.addRoundRect(d, this.h, this.h, Path.Direction.CW);
    }

    /* access modifiers changed from: protected */
    public final boolean b(int i2) {
        return (this.e & i2) == i2;
    }

    /* access modifiers changed from: protected */
    public final void c(int i2) {
        this.e = i2 | this.e;
    }

    /* access modifiers changed from: protected */
    public final void d(int i2) {
        this.e = (~i2) & this.e;
    }

    /* access modifiers changed from: protected */
    public final Path f() {
        if (b(1)) {
            if (this.i == null) {
                this.i = new Path();
            }
            a(this.i, this.g * 0.5f);
            d(1);
        }
        return this.i;
    }
}
