package com.facebook.react.flat;

import android.graphics.Canvas;

/* access modifiers changed from: package-private */
public abstract class AbstractDrawCommand extends DrawCommand implements Cloneable {
    protected boolean a_;
    private float c;
    private float d;
    private float e;
    private float f;
    private boolean g;
    private float h;
    private float i;
    private float j;
    private float k;

    protected static int k() {
        return -16711681;
    }

    /* access modifiers changed from: protected */
    public abstract void c(Canvas canvas);

    /* access modifiers changed from: protected */
    public void d() {
    }

    /* access modifiers changed from: protected */
    public void d(FlatViewGroup flatViewGroup, Canvas canvas) {
    }

    AbstractDrawCommand() {
    }

    public final boolean a(float f2, float f3, float f4, float f5) {
        return this.h == f2 && this.i == f3 && this.j == f4 && this.k == f5;
    }

    /* access modifiers changed from: protected */
    public final void b(float f2, float f3, float f4, float f5) {
        this.h = f2;
        this.i = f3;
        this.j = f4;
        this.k = f5;
        this.a_ = this.h != Float.NEGATIVE_INFINITY;
    }

    public final float b_() {
        return this.h;
    }

    public final float h() {
        return this.i;
    }

    public final float i() {
        return this.j;
    }

    public final float j() {
        return this.k;
    }

    /* access modifiers changed from: protected */
    public void b(Canvas canvas) {
        canvas.clipRect(this.h, this.i, this.j, this.k);
    }

    @Override // com.facebook.react.flat.DrawCommand
    public void a(FlatViewGroup flatViewGroup, Canvas canvas) {
        d(flatViewGroup, canvas);
        if (!this.a_ || !t()) {
            c(canvas);
            return;
        }
        canvas.save(2);
        b(canvas);
        c(canvas);
        canvas.restore();
    }

    /* access modifiers changed from: protected */
    public String l() {
        return getClass().getSimpleName().substring(4);
    }

    @Override // com.facebook.react.flat.DrawCommand
    public final void b(FlatViewGroup flatViewGroup, Canvas canvas) {
        c(flatViewGroup, canvas);
    }

    /* access modifiers changed from: protected */
    public void c(FlatViewGroup flatViewGroup, Canvas canvas) {
        flatViewGroup.a(canvas, k(), l(), this.c, this.d, this.e, this.f);
    }

    public AbstractDrawCommand a(float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9) {
        if (this.g) {
            boolean d2 = d(f2, f3, f4, f5);
            boolean a2 = a(f6, f7, f8, f9);
            if (d2 && a2) {
                return this;
            }
            try {
                AbstractDrawCommand abstractDrawCommand = (AbstractDrawCommand) clone();
                if (!d2) {
                    abstractDrawCommand.c(f2, f3, f4, f5);
                }
                if (!a2) {
                    abstractDrawCommand.b(f6, f7, f8, f9);
                }
                return abstractDrawCommand;
            } catch (CloneNotSupportedException e2) {
                throw new RuntimeException(e2);
            }
        } else {
            c(f2, f3, f4, f5);
            b(f6, f7, f8, f9);
            this.g = true;
            return this;
        }
    }

    public final AbstractDrawCommand m() {
        try {
            AbstractDrawCommand abstractDrawCommand = (AbstractDrawCommand) super.clone();
            abstractDrawCommand.g = false;
            return abstractDrawCommand;
        } catch (CloneNotSupportedException e2) {
            throw new RuntimeException(e2);
        }
    }

    public final boolean n() {
        return this.g;
    }

    public final void o() {
        this.g = true;
    }

    @Override // com.facebook.react.flat.DrawCommand
    public final float p() {
        return this.c;
    }

    @Override // com.facebook.react.flat.DrawCommand
    public final float q() {
        return this.d;
    }

    @Override // com.facebook.react.flat.DrawCommand
    public final float r() {
        return this.e;
    }

    @Override // com.facebook.react.flat.DrawCommand
    public final float s() {
        return this.f;
    }

    /* access modifiers changed from: protected */
    public boolean t() {
        return this.c < b_() || this.d < h() || this.e > i() || this.f > j();
    }

    /* access modifiers changed from: protected */
    public final void c(float f2, float f3, float f4, float f5) {
        this.c = f2;
        this.d = f3;
        this.e = f4;
        this.f = f5;
        d();
    }

    /* access modifiers changed from: protected */
    public final boolean d(float f2, float f3, float f4, float f5) {
        return this.c == f2 && this.d == f3 && this.e == f4 && this.f == f5;
    }
}
