package com.facebook.react.flat;

import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.ViewGroupManager;

/* access modifiers changed from: package-private */
public abstract class FlatViewManager extends ViewGroupManager<FlatViewGroup> {
    public void setBackgroundColor(FlatViewGroup flatViewGroup, int i) {
    }

    FlatViewManager() {
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.uimanager.ViewManager
    public FlatViewGroup createViewInstance(ThemedReactContext themedReactContext) {
        return new FlatViewGroup(themedReactContext);
    }

    public void removeAllViews(FlatViewGroup flatViewGroup) {
        flatViewGroup.removeAllViewsInLayout();
    }
}
