package com.facebook.react.flat;

import android.graphics.Rect;

final class HitSlopNodeRegion extends NodeRegion {
    private final Rect e;

    HitSlopNodeRegion(Rect rect, float f, float f2, float f3, float f4, int i, boolean z) {
        super(f, f2, f3, f4, i, z);
        this.e = rect;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public float a() {
        return e() - ((float) this.e.left);
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public float b() {
        return f() - ((float) this.e.top);
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public float c() {
        return g() + ((float) this.e.right);
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public float d() {
        return h() + ((float) this.e.bottom);
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public boolean a(float f, float f2) {
        return a() <= f && f < c() && b() <= f2 && f2 < d();
    }
}
