package com.facebook.react.flat;

import android.view.View;

public final class RCTVirtualTextManager extends VirtualViewManager<RCTVirtualText> {
    static final String REACT_CLASS = "RCTVirtualText";

    @Override // com.facebook.react.bridge.NativeModule, com.facebook.react.uimanager.ViewManager
    public String getName() {
        return "RCTVirtualText";
    }

    @Override // com.facebook.react.flat.VirtualViewManager, com.facebook.react.uimanager.ViewManager
    public /* bridge */ /* synthetic */ void updateExtraData(View view, Object obj) {
        super.updateExtraData(view, obj);
    }

    @Override // com.facebook.react.uimanager.ViewManager
    public RCTVirtualText createShadowNodeInstance() {
        return new RCTVirtualText();
    }

    @Override // com.facebook.react.uimanager.ViewManager
    public Class<RCTVirtualText> getShadowNodeClass() {
        return RCTVirtualText.class;
    }
}
