package com.facebook.react.modules.systeminfo;

import android.os.Build;
import java.util.Locale;

public class AndroidInfoHelpers {
    private static boolean d() {
        return Build.FINGERPRINT.contains("vbox");
    }

    private static boolean e() {
        return Build.FINGERPRINT.contains("generic");
    }

    public static String a() {
        return a(8081);
    }

    public static String b() {
        return a(8082);
    }

    public static String c() {
        if (d()) {
            return Build.MODEL;
        }
        return Build.MODEL + " - " + Build.VERSION.RELEASE + " - API " + Build.VERSION.SDK_INT;
    }

    private static String a(int i) {
        String str;
        if (d()) {
            str = "10.0.3.2";
        } else {
            str = e() ? "10.0.2.2" : "localhost";
        }
        return String.format(Locale.US, "%s:%d", str, Integer.valueOf(i));
    }
}
