package com.facebook.react.uimanager.events;

import android.view.MotionEvent;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableArray;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.uimanager.PixelUtil;

class TouchesHelper {
    TouchesHelper() {
    }

    private static WritableArray a(int i, TouchEvent touchEvent) {
        WritableArray a2 = Arguments.a();
        MotionEvent j = touchEvent.j();
        float x = j.getX() - touchEvent.k();
        float y = j.getY() - touchEvent.l();
        for (int i2 = 0; i2 < j.getPointerCount(); i2++) {
            WritableMap b = Arguments.b();
            b.putDouble("pageX", (double) PixelUtil.c(j.getX(i2)));
            b.putDouble("pageY", (double) PixelUtil.c(j.getY(i2)));
            b.putDouble("locationX", (double) PixelUtil.c(j.getX(i2) - x));
            b.putDouble("locationY", (double) PixelUtil.c(j.getY(i2) - y));
            b.putInt("target", i);
            b.putDouble("timestamp", (double) touchEvent.d());
            b.putDouble("identifier", (double) j.getPointerId(i2));
            a2.a(b);
        }
        return a2;
    }

    public static void a(RCTEventEmitter rCTEventEmitter, TouchEventType touchEventType, int i, TouchEvent touchEvent) {
        WritableArray a2 = a(i, touchEvent);
        MotionEvent j = touchEvent.j();
        WritableArray a3 = Arguments.a();
        if (touchEventType == TouchEventType.MOVE || touchEventType == TouchEventType.CANCEL) {
            for (int i2 = 0; i2 < j.getPointerCount(); i2++) {
                a3.pushInt(i2);
            }
        } else if (touchEventType == TouchEventType.START || touchEventType == TouchEventType.END) {
            a3.pushInt(j.getActionIndex());
        } else {
            throw new RuntimeException("Unknown touch type: " + touchEventType);
        }
        rCTEventEmitter.receiveTouches(touchEventType.a(), a2, a3);
    }
}
