package com.facebook.react.uimanager.layoutanimation;

/* access modifiers changed from: package-private */
public enum AnimatedPropertyType {
    OPACITY("opacity"),
    SCALE_XY("scaleXY");
    
    private final String c;

    private AnimatedPropertyType(String str) {
        this.c = str;
    }

    public static AnimatedPropertyType a(String str) {
        AnimatedPropertyType[] values = values();
        for (AnimatedPropertyType animatedPropertyType : values) {
            if (animatedPropertyType.toString().equalsIgnoreCase(str)) {
                return animatedPropertyType;
            }
        }
        throw new IllegalArgumentException("Unsupported animated property : " + str);
    }

    public String toString() {
        return this.c;
    }
}
