package com.facebook.react.uimanager.layoutanimation;

import android.view.View;
import android.view.animation.Animation;
import android.view.animation.ScaleAnimation;
import com.facebook.react.uimanager.IllegalViewOperationException;

/* access modifiers changed from: package-private */
public abstract class BaseLayoutAnimation extends AbstractLayoutAnimation {
    /* access modifiers changed from: package-private */
    public abstract boolean c();

    BaseLayoutAnimation() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.uimanager.layoutanimation.AbstractLayoutAnimation
    public boolean a() {
        return this.b > 0 && this.f2292a != null;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.uimanager.layoutanimation.AbstractLayoutAnimation
    public Animation a(View view, int i, int i2, int i3, int i4) {
        if (this.f2292a != null) {
            float f = 0.0f;
            switch (this.f2292a) {
                case OPACITY:
                    float alpha = c() ? view.getAlpha() : 0.0f;
                    if (!c()) {
                        f = view.getAlpha();
                    }
                    return new OpacityAnimation(view, alpha, f);
                case SCALE_XY:
                    float f2 = c() ? 1.0f : 0.0f;
                    float f3 = c() ? 0.0f : 1.0f;
                    return new ScaleAnimation(f2, f3, f2, f3, 1, 0.5f, 1, 0.5f);
                default:
                    throw new IllegalViewOperationException("Missing animation for property : " + this.f2292a);
            }
        } else {
            throw new IllegalViewOperationException("Missing animated property from animation config");
        }
    }
}
