package com.facebook.react.views.drawer;

import android.support.v4.widget.DrawerLayout;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.uimanager.events.NativeGestureUtil;

/* access modifiers changed from: package-private */
public class ReactDrawerLayout extends DrawerLayout {
    private int b = 8388611;
    private int c = -1;

    public ReactDrawerLayout(ReactContext reactContext) {
        super(reactContext);
    }

    @Override // android.support.v4.widget.DrawerLayout
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        try {
            if (!super.onInterceptTouchEvent(motionEvent)) {
                return false;
            }
            NativeGestureUtil.a(this, motionEvent);
            return true;
        } catch (IllegalArgumentException e) {
            Log.w("ReactNative", "Error intercepting touch event.", e);
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public void f() {
        e(this.b);
    }

    /* access modifiers changed from: package-private */
    public void g() {
        f(this.b);
    }

    /* access modifiers changed from: package-private */
    public void h(int i) {
        this.b = i;
        h();
    }

    /* access modifiers changed from: package-private */
    public void i(int i) {
        this.c = i;
        h();
    }

    /* access modifiers changed from: package-private */
    public void h() {
        if (getChildCount() == 2) {
            View childAt = getChildAt(1);
            DrawerLayout.LayoutParams layoutParams = (DrawerLayout.LayoutParams) childAt.getLayoutParams();
            layoutParams.f432a = this.b;
            layoutParams.width = this.c;
            childAt.setLayoutParams(layoutParams);
            childAt.setClickable(true);
        }
    }
}
