package com.imagepicker.permissions;

import android.app.Activity;
import android.content.DialogInterface;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v7.app.AlertDialog;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.ReadableNativeMap;
import com.imagepicker.ImagePickerModule;
import java.lang.ref.WeakReference;

public class PermissionUtils {

    public interface OnExplainingPermissionCallback {
        void a(WeakReference<ImagePickerModule> weakReference, DialogInterface dialogInterface);

        void b(WeakReference<ImagePickerModule> weakReference, DialogInterface dialogInterface);
    }

    @Nullable
    public static AlertDialog a(@NonNull ImagePickerModule imagePickerModule, @NonNull ReadableMap readableMap, @NonNull final OnExplainingPermissionCallback onExplainingPermissionCallback) {
        if (imagePickerModule.getContext() == null || !readableMap.a("permissionDenied")) {
            return null;
        }
        ReadableMap g = readableMap.g("permissionDenied");
        if (((ReadableNativeMap) g).b().size() == 0) {
            return null;
        }
        String f = g.f("title");
        String f2 = g.f("text");
        String f3 = g.f("reTryTitle");
        String f4 = g.f("okTitle");
        final WeakReference weakReference = new WeakReference(imagePickerModule);
        Activity activity = imagePickerModule.getActivity();
        if (activity == null) {
            return null;
        }
        AlertDialog.Builder builder = new AlertDialog.Builder(activity, imagePickerModule.getDialogThemeId());
        builder.a(f).b(f2).a(false).b(f4, new DialogInterface.OnClickListener() {
            /* class com.imagepicker.permissions.PermissionUtils.AnonymousClass2 */

            public void onClick(DialogInterface dialogInterface, int i) {
                OnExplainingPermissionCallback.this.a(weakReference, dialogInterface);
            }
        }).a(f3, new DialogInterface.OnClickListener() {
            /* class com.imagepicker.permissions.PermissionUtils.AnonymousClass1 */

            public void onClick(DialogInterface dialogInterface, int i) {
                OnExplainingPermissionCallback.this.b(weakReference, dialogInterface);
            }
        });
        return builder.b();
    }
}
