package com.mb.rn.youxidun;

import android.content.Context;
import android.content.pm.PackageManager;
import android.util.Log;
import com.aliyun.security.yunceng.android.sdk.YunCeng;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.mb.rn.activity.MainApplication;
import com.tencent.smtt.sdk.TbsListener;

public class YouxidunManager extends ReactContextBaseJavaModule {
    public MainApplication application;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "YouxidunManager";
    }

    public YouxidunManager(ReactApplicationContext reactApplicationContext, MainApplication mainApplication) {
        super(reactApplicationContext);
        this.application = mainApplication;
    }

    @ReactMethod
    public void getIPPort(Callback callback) {
        StringBuffer stringBuffer = new StringBuffer();
        StringBuffer stringBuffer2 = new StringBuffer();
        int proxyTcpByDomain = YunCeng.getProxyTcpByDomain(DeviceUuidFactory.a(this.application).a().toString(), getAppMetaDataString(this.application, "groupname"), getAppMetaDataString(this.application, "dip"), getAppMetaDataInt(this.application, "dport") + "", stringBuffer, stringBuffer2);
        if (proxyTcpByDomain == 0) {
            Log.d("get next ip success:", "get next ip success: " + proxyTcpByDomain + "\nip : " + ((Object) stringBuffer) + "port : " + ((Object) stringBuffer2));
        } else {
            Log.d("get next ip failed:", "get next ip failed: " + proxyTcpByDomain + "\nip : " + ((Object) stringBuffer) + "port : " + ((Object) stringBuffer2));
        }
        callback.a(stringBuffer.toString(), stringBuffer2.toString());
    }

    public static String getAppMetaDataString(Context context, String str) {
        try {
            String string = context.getPackageManager().getApplicationInfo(context.getPackageName(), TbsListener.ErrorCode.DOWNLOAD_INTERRUPT).metaData.getString(str, "");
            Log.d("meta-data+6666：", str + " = " + string);
            return string;
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
            return "";
        }
    }

    public static int getAppMetaDataInt(Context context, String str) {
        try {
            int i = context.getPackageManager().getApplicationInfo(context.getPackageName(), TbsListener.ErrorCode.DOWNLOAD_INTERRUPT).metaData.getInt(str, 0);
            Log.d("meta-data+6666：", str + " = " + i);
            return i;
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
            return 0;
        }
    }
}
