package com.pgyersdk.views;

import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Color;
import android.media.MediaPlayer;
import android.media.MediaRecorder;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.InputMethodManager;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import android.widget.Toast;
import com.pgyersdk.c.a;
import com.pgyersdk.feedback.PgyFeedback;
import com.pgyersdk.feedback.b;
import com.pgyersdk.utils.GLSurfaceUtils;
import com.pgyersdk.utils.h;
import com.pgyersdk.utils.j;
import com.pgyersdk.utils.l;
import java.io.File;
import java.io.FileInputStream;
import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;

/* compiled from: FeedbackDialog */
public class c extends PgyerDialog implements View.OnClickListener, b {
    private MediaPlayer A;
    private long B;
    private long C;
    private long D;
    private boolean E = false;
    private String F = "tagBtnPlay";
    private String G = "tagBtnDelete";
    private int H = 1;
    private Handler I = new Handler() {
        /* class com.pgyersdk.views.c.AnonymousClass1 */

        public void handleMessage(Message message) {
            switch (message.what) {
                case 20003:
                    c.this.k.a((Integer.valueOf(message.obj.toString()).intValue() % 3) + 1);
                    return;
                case 20004:
                default:
                    return;
                case 20005:
                    int intValue = Integer.valueOf(message.obj.toString()).intValue();
                    c.this.D = new Date().getTime();
                    Log.i("duration", ((c.this.D - c.this.B) / 1000) + " " + ((c.this.y - 10000) / 1000));
                    if ((c.this.D - c.this.B) / 1000 >= ((long) ((c.this.y - 10000) / 1000))) {
                        c.this.n.a(-1, ((int) (((long) c.this.y) - (c.this.D - c.this.B))) / 1000);
                        c.this.I.removeMessages(20005);
                        c.this.I.sendEmptyMessageDelayed(20006, 1000);
                        return;
                    }
                    c.this.n.a(intValue, -1);
                    c.this.n();
                    return;
                case 20006:
                    c.this.D = new Date().getTime();
                    int i = ((int) (((long) c.this.y) - (c.this.D - c.this.B))) / 1000;
                    if (i <= 0) {
                        c.this.i();
                        c.this.v.setVisibility(8);
                        c.this.w.setVisibility(0);
                        c.this.a((c) c.this.v);
                    } else {
                        c.this.I.sendEmptyMessageDelayed(20006, 1000);
                    }
                    c.this.n.a(-1, i);
                    return;
            }
        }
    };
    j k;
    public File l;
    PopupWindow m;
    i n;
    Timer o;
    TimerTask p;
    View.OnTouchListener q = new View.OnTouchListener() {
        /* class com.pgyersdk.views.c.AnonymousClass2 */

        public boolean onTouch(View view, MotionEvent motionEvent) {
            c.this.a((c) view);
            return false;
        }
    };
    View.OnTouchListener r = new View.OnTouchListener() {
        /* class com.pgyersdk.views.c.AnonymousClass3 */

        public boolean onTouch(View view, MotionEvent motionEvent) {
            if (!l.a().a(c.this.f2764a, "android.permission.RECORD_AUDIO")) {
                Toast.makeText(c.this.f2764a, com.pgyersdk.c.b.a(1074), 0).show();
                return false;
            }
            switch (motionEvent.getAction()) {
                case 0:
                    c.this.h();
                    c.this.v.setText(com.pgyersdk.c.b.a(1073));
                    break;
                case 1:
                case 3:
                    c.this.C = new Date().getTime();
                    c.this.v.setText(com.pgyersdk.c.b.a(1072));
                    c.this.i();
                    if (c.this.C - c.this.B < 1000) {
                        Toast.makeText(c.this.f2764a, com.pgyersdk.c.b.a(1075), 0).show();
                        c.this.l = null;
                        c.this.v.setVisibility(0);
                        c.this.w.setVisibility(8);
                    } else {
                        c.this.v.setVisibility(8);
                        c.this.w.setVisibility(0);
                        if (c.this.l != null) {
                            h.a("voicefile", c.this.l.getAbsolutePath());
                            h.a("voiceTime", c.this.k.getText().toString());
                        }
                    }
                    c.this.a((c) view);
                    break;
            }
            return false;
        }
    };
    private EditText s;
    private EditText t;
    private CheckBox u;
    private f v;
    private LinearLayout w;
    private h x;
    private int y = 120000;
    private MediaRecorder z;

    @TargetApi(11)
    public c(Context context, int i) {
        super(context, i);
        PgyFeedback.a().a(this);
        GLSurfaceUtils.a().a(this);
    }

    public c(Context context) {
        super(context);
        PgyFeedback.a().a(this);
        GLSurfaceUtils.a().a(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.pgyersdk.views.PgyerDialog
    public View a(Context context) {
        LinearLayout linearLayout = new LinearLayout(context);
        linearLayout.setOnTouchListener(this.q);
        linearLayout.setBackgroundColor(-1);
        linearLayout.setOrientation(1);
        LinearLayout.LayoutParams a2 = a();
        a(context, linearLayout);
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
        layoutParams.gravity = 3;
        layoutParams.setMargins(com.pgyersdk.utils.b.a(context, 15.0f), 0, com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 20.0f));
        this.u = new CheckBox(context);
        this.u.setText(com.pgyersdk.c.b.a(1064));
        this.u.setTextColor(Color.parseColor(this.f));
        this.u.setChecked(true);
        linearLayout.addView(this.u, layoutParams);
        TextView textView = new TextView(context);
        textView.setText(com.pgyersdk.c.b.a(1065) + a.g + "\t" + a.f + "（" + a.e + "）");
        textView.setTextColor(Color.parseColor(this.f));
        textView.setTextSize(12.0f);
        textView.setPadding(com.pgyersdk.utils.b.a(context, 20.0f), 0, com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 20.0f));
        linearLayout.addView(textView, a2);
        return linearLayout;
    }

    /* access modifiers changed from: protected */
    public View a(Context context, LinearLayout linearLayout) {
        ViewGroup.LayoutParams a2 = a();
        this.t = new EditText(context);
        this.t.setHint(com.pgyersdk.c.b.a(1045));
        this.t.setSingleLine(true);
        this.t.setPadding(com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 10.0f), com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 10.0f));
        this.t.setHintTextColor(Color.parseColor(this.g));
        this.t.setMinLines(1);
        this.t.setTextSize(14.0f);
        this.t.setGravity(19);
        this.t.setBackgroundColor(this.i);
        linearLayout.addView(this.t, a2);
        TextView textView = new TextView(context);
        textView.setBackgroundColor(Color.parseColor("#f0f0f0"));
        textView.setHeight(com.pgyersdk.utils.b.a(context, 1.0f));
        linearLayout.addView(textView, a2);
        this.s = new EditText(context);
        this.s.setHint(com.pgyersdk.c.b.a(1044));
        this.s.setPadding(com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 10.0f), com.pgyersdk.utils.b.a(context, 20.0f), 0);
        this.s.setHintTextColor(Color.parseColor(this.g));
        this.s.setMinLines(8);
        this.s.setTextSize(14.0f);
        this.s.setGravity(51);
        this.s.setBackgroundColor(this.i);
        linearLayout.addView(this.s, a2);
        a(linearLayout);
        this.t.setFocusable(true);
        this.t.setFocusableInTouchMode(true);
        this.t.requestFocus();
        g();
        return linearLayout;
    }

    /* access modifiers changed from: protected */
    @Override // com.pgyersdk.views.PgyerDialog
    public View b(Context context) {
        LinearLayout linearLayout = new LinearLayout(context);
        linearLayout.setOrientation(1);
        linearLayout.setBackgroundColor(-1);
        linearLayout.setOnTouchListener(this.q);
        LinearLayout.LayoutParams a2 = a();
        b(context, linearLayout);
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
        layoutParams.setMargins(com.pgyersdk.utils.b.a(context, 15.0f), 0, com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 20.0f));
        this.u = new CheckBox(context);
        this.u.setText(com.pgyersdk.c.b.a(1064));
        this.u.setTextColor(Color.parseColor(this.f));
        this.u.setChecked(true);
        linearLayout.addView(this.u, layoutParams);
        TextView textView = new TextView(context);
        textView.setText(com.pgyersdk.c.b.a(1065) + a.g + "\t" + a.f + "（" + a.e + "）");
        textView.setTextColor(Color.parseColor(this.f));
        textView.setTextSize(12.0f);
        textView.setBackgroundColor(-1);
        textView.setPadding(com.pgyersdk.utils.b.a(context, 20.0f), 0, 0, com.pgyersdk.utils.b.a(context, 20.0f));
        linearLayout.addView(textView, a2);
        return linearLayout;
    }

    /* access modifiers changed from: protected */
    public View b(Context context, LinearLayout linearLayout) {
        ViewGroup.LayoutParams a2 = a();
        this.t = new EditText(context);
        this.t.setHint(com.pgyersdk.c.b.a(1045));
        this.t.setSingleLine(true);
        this.t.setPadding(com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 10.0f), com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 10.0f));
        this.t.setHintTextColor(Color.parseColor(this.g));
        this.t.setMinLines(1);
        this.t.setTextSize(14.0f);
        this.t.setGravity(19);
        this.t.setBackgroundColor(this.i);
        linearLayout.addView(this.t, a2);
        if (!j.a("selfmail")) {
            this.t.setText(h.a(context, "selfmail"));
        }
        TextView textView = new TextView(context);
        textView.setBackgroundColor(Color.parseColor("#f0f0f0"));
        textView.setHeight(com.pgyersdk.utils.b.a(context, 1.0f));
        linearLayout.addView(textView, a2);
        this.s = new EditText(context);
        this.s.setPadding(com.pgyersdk.utils.b.a(context, 20.0f), com.pgyersdk.utils.b.a(context, 10.0f), com.pgyersdk.utils.b.a(context, 20.0f), 0);
        this.s.setHint(com.pgyersdk.c.b.a(1044));
        this.s.setMinLines(2);
        this.s.setTextSize(14.0f);
        this.s.setHintTextColor(Color.parseColor(this.g));
        this.s.setGravity(51);
        this.s.setBackgroundColor(this.i);
        linearLayout.addView(this.s, a2);
        a(linearLayout);
        g();
        return linearLayout;
    }

    private void g() {
        if (!j.a(h.a(this.f2764a, "selfmail"))) {
            this.t.setText(h.a(this.f2764a, "selfmail"));
        }
        if (!j.a(h.a(this.f2764a, "feedback_des"))) {
            this.s.setText(h.a(this.f2764a, "feedback_des"));
        }
        if (!j.a(h.a(this.f2764a, "voicefile"))) {
            this.l = new File(h.a(this.f2764a, "voicefile"));
            this.v.setVisibility(8);
            this.w.setVisibility(0);
            this.k.setText(h.a(this.f2764a, "voiceTime"));
        }
    }

    private void a(LinearLayout linearLayout) {
        this.w = new LinearLayout(this.f2764a);
        LinearLayout.LayoutParams a2 = a();
        a2.setMargins(com.pgyersdk.utils.b.a(this.f2764a, 20.0f), com.pgyersdk.utils.b.a(this.f2764a, 20.0f), com.pgyersdk.utils.b.a(this.f2764a, 20.0f), com.pgyersdk.utils.b.a(this.f2764a, 20.0f));
        this.w.setGravity(16);
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, com.pgyersdk.utils.b.a(this.f2764a, 40.0f));
        layoutParams.weight = 1.0f;
        layoutParams.setMargins(0, 0, com.pgyersdk.utils.b.a(this.f2764a, 20.0f), 0);
        this.k = new j(this.f2764a);
        this.k.setPadding(0, 0, com.pgyersdk.utils.b.a(this.f2764a, 10.0f), 0);
        this.k.setGravity(21);
        this.k.setOnClickListener(this);
        this.k.setTag(this.F);
        this.w.addView(this.k, layoutParams);
        this.x = new h(this.f2764a);
        this.x.setTag(this.G);
        this.x.setOnClickListener(this);
        LinearLayout.LayoutParams a3 = a();
        a3.width = com.pgyersdk.utils.b.a(this.f2764a, 30.0f);
        a3.height = com.pgyersdk.utils.b.a(this.f2764a, 30.0f);
        this.w.addView(this.x, a3);
        this.w.setVisibility(8);
        linearLayout.addView(this.w, a2);
        LinearLayout.LayoutParams a4 = a();
        a4.height = com.pgyersdk.utils.b.a(this.f2764a, 40.0f);
        a4.setMargins(com.pgyersdk.utils.b.a(this.f2764a, 20.0f), com.pgyersdk.utils.b.a(this.f2764a, 20.0f), com.pgyersdk.utils.b.a(this.f2764a, 20.0f), com.pgyersdk.utils.b.a(this.f2764a, 20.0f));
        this.v = new f(this.f2764a);
        this.v.setText(com.pgyersdk.c.b.a(1072));
        this.v.setOnTouchListener(this.r);
        linearLayout.addView(this.v, a4);
    }

    public EditText b() {
        return this.t;
    }

    public EditText c() {
        return this.s;
    }

    public CheckBox d() {
        return this.u;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(View view) {
        Context context = this.f2764a;
        Context context2 = this.f2764a;
        ((InputMethodManager) context.getSystemService("input_method")).hideSoftInputFromWindow(view.getWindowToken(), 2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h() {
        try {
            j();
            if (this.z != null && !this.E) {
                this.z.prepare();
                this.z.start();
                this.B = new Date().getTime();
                this.E = true;
                l();
            }
        } catch (Exception unused) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void i() {
        try {
            if (this.E && this.z != null) {
                this.z.reset();
                this.E = false;
                this.C = new Date().getTime();
                j jVar = this.k;
                jVar.setText(String.format("%.0f", Double.valueOf(Math.ceil(((double) (this.C - this.B)) / 1000.0d))) + "\"");
                this.I.removeMessages(20006);
                m();
            }
        } catch (Exception unused) {
        }
    }

    public void e() {
        if (this.o != null) {
            this.o.cancel();
        }
        if (this.p != null) {
            this.p.cancel();
        }
        if (this.A == null) {
            this.A = new MediaPlayer();
            this.A.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
                /* class com.pgyersdk.views.c.AnonymousClass4 */

                public void onCompletion(MediaPlayer mediaPlayer) {
                    c.this.o.cancel();
                    c.this.p.cancel();
                    c.this.k.a(3);
                    c.this.x.setEnabled(true);
                }
            });
            this.A.setOnPreparedListener(new MediaPlayer.OnPreparedListener() {
                /* class com.pgyersdk.views.c.AnonymousClass5 */

                public void onPrepared(MediaPlayer mediaPlayer) {
                    c.this.x.setEnabled(false);
                }
            });
        }
        if (this.A.isPlaying()) {
            this.A.reset();
        }
        this.A.setAudioStreamType(2);
        if (this.l.exists()) {
            try {
                FileInputStream fileInputStream = new FileInputStream(this.l);
                this.A.reset();
                this.A.setDataSource(fileInputStream.getFD());
                this.A.prepare();
            } catch (Exception unused) {
            }
            this.A.start();
            k();
        }
    }

    private void j() {
        try {
            File file = new File(com.pgyersdk.utils.c.a().b(this.f2764a));
            if (!file.exists()) {
                file.mkdir();
            }
            if (this.z == null) {
                this.z = new MediaRecorder();
            }
            this.z.setAudioSource(1);
            this.z.setOutputFormat(2);
            this.z.setAudioEncoder(3);
            this.z.setMaxDuration(this.y);
            this.l = File.createTempFile("recorder_", ".wav", file);
            this.z.setOutputFile(this.l.getAbsolutePath());
        } catch (Exception unused) {
        }
    }

    private void k() {
        this.p = new TimerTask() {
            /* class com.pgyersdk.views.c.AnonymousClass6 */

            /* renamed from: a  reason: collision with root package name */
            int f2775a = 0;

            public void run() {
                Message message = new Message();
                message.what = 20003;
                message.obj = Integer.valueOf(this.f2775a);
                c.this.I.sendMessage(message);
                this.f2775a++;
            }
        };
        this.o = new Timer();
        this.o.schedule(this.p, 0, 400);
    }

    private void l() {
        this.n = new i(this.f2764a);
        this.m = new PopupWindow(this.n);
        this.m.setWidth(com.pgyersdk.utils.b.a(this.f2764a, 80.0f));
        this.m.setHeight(com.pgyersdk.utils.b.a(this.f2764a, 80.0f));
        if (this.f2764a.getResources().getConfiguration().orientation == 1) {
            this.m.showAtLocation(this.s, 48, 0, com.pgyersdk.utils.b.a(this.f2764a, 115.0f));
        } else {
            this.m.showAtLocation(this.s, 48, 0, com.pgyersdk.utils.b.a(this.f2764a, 70.0f));
        }
        n();
    }

    private void m() {
        this.I.removeMessages(20005);
        if (this.m != null && this.m.isShowing()) {
            this.m.dismiss();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n() {
        int maxAmplitude = this.z.getMaxAmplitude();
        if (maxAmplitude < 800) {
            maxAmplitude = 0;
            this.H = 1;
        } else if (maxAmplitude >= 800 && maxAmplitude < 2000) {
            this.H = 2;
        } else if (maxAmplitude >= 2000 && maxAmplitude < 4000) {
            this.H = 3;
        } else if (maxAmplitude >= 4000 && maxAmplitude < 7000) {
            this.H = 4;
        } else if (maxAmplitude >= 7000 && maxAmplitude < 10000) {
            this.H = 5;
        } else if (maxAmplitude < 10000 || maxAmplitude >= 15000) {
            this.H = 7;
        } else {
            this.H = 6;
        }
        if (maxAmplitude > 32768) {
            this.H = 7;
        }
        Message message = new Message();
        message.what = 20005;
        message.obj = Integer.valueOf(this.H);
        this.I.sendMessageDelayed(message, 100);
    }

    public void f() {
        try {
            if (this.A != null && this.A.isPlaying()) {
                this.A.stop();
                this.A.release();
            }
            if (this.z != null) {
                this.z.release();
            }
            com.pgyersdk.d.a.f(this.f2764a);
        } catch (Exception unused) {
        }
    }

    public void onClick(View view) {
        if (this.F.equals(view.getTag().toString())) {
            e();
        }
        if (this.G.equals(view.getTag().toString())) {
            this.w.setVisibility(8);
            this.v.setVisibility(0);
            com.pgyersdk.utils.c.a().a(this.l);
            h.a("voicefile", "");
            h.a("voiceTime", "");
            this.l = null;
        }
    }
}
