package net.minidev.json;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import net.minidev.json.reader.JsonWriter;

public class JSONArray extends ArrayList<Object> implements List<Object>, JSONAwareEx, JSONStreamAwareEx {
    private static final long serialVersionUID = 9106884089231309568L;

    public static String a(List<? extends Object> list, JSONStyle jSONStyle) {
        StringBuilder sb = new StringBuilder();
        try {
            a(list, sb, jSONStyle);
        } catch (IOException unused) {
        }
        return sb.toString();
    }

    public static void a(Iterable<? extends Object> iterable, Appendable appendable, JSONStyle jSONStyle) throws IOException {
        if (iterable == null) {
            appendable.append("null");
        } else {
            JsonWriter.e.a(iterable, appendable, jSONStyle);
        }
    }

    @Override // net.minidev.json.JSONAware
    public String b() {
        return a(this, JSONValue.f3289a);
    }

    @Override // net.minidev.json.JSONAwareEx
    public String a(JSONStyle jSONStyle) {
        return a(this, jSONStyle);
    }

    public String toString() {
        return b();
    }

    @Override // net.minidev.json.JSONStreamAware
    public void a(Appendable appendable) throws IOException {
        a(this, appendable, JSONValue.f3289a);
    }

    @Override // net.minidev.json.JSONStreamAwareEx
    public void a(Appendable appendable, JSONStyle jSONStyle) throws IOException {
        a(this, appendable, jSONStyle);
    }
}
