package org.apache.commons.lang3.builder;

import org.apache.commons.lang3.ClassUtils;

public class MultilineRecursiveToStringStyle extends RecursiveToStringStyle {
    private static final long serialVersionUID = 1;
    private int h = 2;

    public MultilineRecursiveToStringStyle() {
        h();
    }

    private void h() {
        a("{" + System.lineSeparator() + ((Object) a(this.h)));
        c("," + System.lineSeparator() + ((Object) a(this.h)));
        b(System.lineSeparator() + ((Object) a(this.h + -2)) + "}");
        d("[" + System.lineSeparator() + ((Object) a(this.h)));
        g("," + System.lineSeparator() + ((Object) a(this.h)));
        e(System.lineSeparator() + ((Object) a(this.h + -2)) + "]");
    }

    private StringBuilder a(int i) {
        StringBuilder sb = new StringBuilder();
        for (int i2 = 0; i2 < i; i2++) {
            sb.append(" ");
        }
        return sb;
    }

    @Override // org.apache.commons.lang3.builder.RecursiveToStringStyle, org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, Object obj) {
        if (ClassUtils.d(obj.getClass()) || String.class.equals(obj.getClass()) || !b(obj.getClass())) {
            super.a(stringBuffer, str, obj);
            return;
        }
        this.h += 2;
        h();
        stringBuffer.append(ReflectionToStringBuilder.a(obj, this));
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, Object[] objArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, objArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void b(StringBuffer stringBuffer, String str, Object obj) {
        this.h += 2;
        h();
        super.b(stringBuffer, str, obj);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, long[] jArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, jArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, int[] iArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, iArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, short[] sArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, sArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, byte[] bArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, bArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, char[] cArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, cArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, double[] dArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, dArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, float[] fArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, fArr);
        this.h -= 2;
        h();
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.builder.ToStringStyle
    public void a(StringBuffer stringBuffer, String str, boolean[] zArr) {
        this.h += 2;
        h();
        super.a(stringBuffer, str, zArr);
        this.h -= 2;
        h();
    }
}
